﻿// (C) Copyright 2012 Hewlett-Packard Development Company, L.P.
define([], function() {"use strict";
return {
    baseline : {
        add : {
        	availableBundles: "Available Web Bundles",
            title : "Add Baselines",
            enterDirectory : "Enter directory path",
            enterWorkingDirectory : "Enter working directory",
            enterURIPath  : "Enter URI for the baseline",
            baselineAdded: "A new Baseline is added successfully",
            browseText: "Browse or manually enter a directory path where the components for the baseline are located.",
            browsePFWText: "Browse or manually enter a directory path where the Available Web Bundles list and components being downloaded from hp.com can be stored.",
            getList: "Retrieve List",
            locationAdded: "A new Location is added successfully",
            locationType : "Location type",
            locationDetails : "Location Details",
            scheduleInformation : "Schedule and Recurrence Options",
            selectLocation : "Select the location type",
            local :"Browse HP SUM server path",
            unc :"UNC path  (for example \\\\host\\dir )",
            http :"HTTP",
            ftp :"Download from hp.com" ,
            enableSchedule: "Schedule download from web ?",
            port : "Port",
            proxySettings : "Proxy Settings",
            proxyOptions: "Proxy Options",
            proxyServer: "Proxy server",
            proxyuser : "Username",
            proxypasswd: "Password",
            scheduleDatetime : "Select schedule date and time",
            scheduleType : "Recurrence pattern",
            daily : "daily",
            weekly : "weekly",
            monthly : "monthly",
            onetime : "one time",
            noProxyNeeded: "No Proxy Needed",
            none : "none",
            selectBundles: "Select one of the available web bundles to be downloaded from hp.com Note: If a component included in the initial release of " + 
            			   "the web bundle has been unpublished from hp.com, then it  will not be downloaded from hp.com with the web bundle. " + 
            			   "A SPP-sized bundle download may take more than several minutes to complete. Monitor the baseline page for download progress.",
            scheduleRecurring : "Recur every",
            script : "Script",
            url : "Address",
            usehp : "Use hp.com",
            useScript : "Proxy script",
            username : "Please enter the username",
            password : "Please enter the password",
            inValidLocation: "Please enter a valid location!",
            addInProgress: "Baseline Add is in progress. Please wait...",
			retrieveInProgress : "Retrieving  list of  Web bundles. Please wait...",
        },
        addBaseline : {
            configured : "Configured",
            description : "Description",
            id : "ID",
            select : "Select baselines",
            system : "System",
        },
        custom : {
            add : "Add...",
            advancedFilters : "Advanced Filters",
            applyfilters : "Apply Filters",
            applyfiltersHelp : 'Apply filters on the selected baseline source. The filtered components will be displayed below',
            applyfiltersError : 'No baseline source(s) selected. Select one or more baseline source(s)',
            architecture : "Architecture",
            arrayctrl : "Array Controller",
            baselines : "Baselines",
            bootableiso : "Make Bootable ISO file",
            bootableisoHelp : "Check this option to create Custom Baseline ISO that is bootable. This baseline includes HP SUM binary files and contents included in the Source ISO.",
            bootableisoHelpLinux : "To create UEFI bootable ISO, xorrisofs must be installed on the system, otherwise the ISO created will only be bootable on legacy BIOS based systems.",
            both : "Both",
            comptype : "Component Type",
            createBaseline : "Create Custom Baseline",
            createCBLMsg : "Creating custom baseline",
            createCBLMsgSuccess : "Custom baseline creation request accepted successfully",
            createCBLMsgError : "Failed to create custom baseline",
            createiso : "Create ISO",
            criticalUpdates : "Critical Updates",
            description : "Description *",
            descriptionError : "Description error: ",
            descriptionRequired : "Custom Baseline description is required.",
            descriptionValidationMsg : "Enter only alpha-numeric, hyphen or underscore.",
            deviceType : "Device type",
            dl360 : "DL360",
            dl380 : "DL380",
            fcHbaCna : "FC HBA/CNA",
            fcswitches : "Fibre Channel Switches",
            filters : "Step 2 - Filters",
            firmware : "Firmware",
            harddrive : "Hard Drive",
            ilo : "iLO",
            isolocation : "Source ISO Location",
            isolocRequired : "Source ISO location required",
            isolochelp : "This is the location where an SPP ISO is mounted or the extracted contents of an SPP ISO are placed. The boot environment and HP SUM are picked from here.",
            maxlen : "Maximum length can be ",
            name : "Baseline Name",
            nic : "NIC",
            oa : "OA",
            optionalUpdates : "Optional Updates",
            osType : "OS Type",
            osTypes : {
                rhel5 : "RHEL 5",
                rhel6 : "RHEL 6",
                sles10 : "SLES 10",
                sles11 : "SLES 11",
                vmwareEsxi50 : "VMware vSphere 5.0",
                vmwareEsxi51 : "VMware vSphere 5.1",
                vmwareEsxi55 : "VMware vSphere 5.5",
                windows2003R2 : "Windows 2003 R2",
                windows2008 : "Windows 2008",
                windows2008R2 : "Windows 2008 R2",
                windows2012 : "Windows 2012",
				windows2012R2 : "Windows 2012 R2"
            },
            outputDirWarning: "Warning: All existing files in the output directory will be removed when the baseline is generated.",
            noBaselinesAvailable : "No baselines available!",
            noMatchingComponents : "No matching components found!",
            overview : "Overview",
            populateComponentOsMsg : "Populating component OS details. Please wait...",
            populateComponentOsErrorMsg : "Error occurred while populating component OS details. Error: ",
            populateSourcesMsg : "Populating sources. Please wait...",
            populateSourcesErrorMsg : "Error occurred while populating sources. Error:", 
            recommendedUpdates : "Recommended Updates",
            remove : "Remove",
            retrieveCompMsg : "Retrieving components",
            retrieveCompMsgDone : "Completed retrieving components",
            retrieveCompMsgError : "Error retrieving components",
            review : "Step 3 - Review",
            runinback : "Run in background",
            runinbackHelp : "Create Custom Baseline in background. The status will be available in Activity screen",
            saveBaseline : "Save Baseline",
            sasswitches : "SAS BL switch Interconnects",
            server : "Server",
            software : "Software",
            sources : "Step 1 - Baseline Sources",
            storage : "Storage",
            systemrom : "System ROM",
            tape : "Tape",
            targetlocation : "Output Location *",
            targetlocRequired : "Output location required",
            unknown : "Unknown",
            validationErrorMsg : "Validation errors - Field value required",
            vc : "Virtual Connect (VC)",
            version : "Version *",
            versionError : "Version error: ",
            versionRequired : "Version required",
            versionValidationMsg : "Enter only numeric value.",
            x64 : "x64",
            x86 : "x86",
            versionHelp: "Version Identifier. Enter a one or two character version (ex: 00, 01, a1, 1A)",
            versionIdentifierError: "Please enter a one or two character version identifier."
        },
        start_inventory : "Start Inventory",
        schedule_download : "Schedule Download",
        download_now : "Download Now",
        starting_download : "Starting Download", 
        compDownloadInProgress : " Component download in progress",
        locations : "Locations",
        nodeInventoryFailed : "Node inventory failed",
        nodeInventoryInProgress : "Node inventory in progress",
        selectLocation : "Select a valid baseline location.",
        show : {
			allBaselinesSelected : "No baselines available for selection.",
            addFromMedia : "Add",
            component : "Component",
            componentHelp : "Component help",
            componentTitle : "Component title",
            componentVersion : "Component version",
            componentConfig: "Component Configuration",
	    componentConfigError: "There was an error saving the configuration values for this component, please configure the component outside HP SUM",
            componentConfigFor : "Component Configuration for {0}",
	    configuration : "Configuration",
            createCustom : "Create custom",
            criticality : "Criticality",
            enhancements : "Enhancements",
            fixes : "Fixes",
            inventoryCompleted : "Inventory completed",
            inventoryError : "Inventory error",
            downloadNeeded : "Download needed to complete the processing",
            inventoryNeeded : "Inventory Needed",
            inventoryInProgress : "Inventory in progress",
            name: "Name",
            needConfig : "Needs configuration",
            noComponentsFound : "Loading or Inventory in progress",
            parDesc : "Parameter Description",
            parName : "Parameter Name",
            releaseDate : "Release date",
            revisionHistory : "Revision History",
            subType : "Subtype",
            totalComponents : "Total components",
            type : "Type",
            value : "Value",
            yesDelete : "Yes, Delete",
        },
        storageRemaining : "Storage remaining",
        version : "Version",
    },
    common : {
        abort: "Abort",
        actions: "Actions",
        activity : "Activity",
        add : "Add",
        addNote : "Add note",
        addPlus : "Add +",
        added : "Added",
		addSingleNode : "Add a single node by IP/DNS name",
		addType : "Select the type of add",
        all : "All",
        allLabels : "All labels",
        allStates : "All states",
        allStatuses : "All statuses",
        allTypes : "All types",
        always : "Always",
        apply : "Apply",
        assignAlert : "Assign alert",
        associatedDevices : "Associated devices",
		associatedservers : "Device Bays",
		associatedswitches : "Interconnect Bays",
        back : "Back",
        bandwidth : "Bandwidth",
        baseline : "Baseline",
        baselines : "Baseline Library",
        baselineToApply : "Baseline to Apply",
        bios : "BIOS",
        browse : "Browse",
        cancel : "Cancel",
        category : "Category",
        clearAlert : "Clear alert",
        close : "Close",
        collapseContent : "Collapse Content",
        connections : "Connections",
        continueWithAbort : "Continue with abort?",
        continueWithDelete : "Continue with delete?",
        credentials : "Credentials",
        daily : "Daily",
        dashboard : "Dashboard",
        date : "Date",
        days : {
            friday : "Friday",
            monday : "Monday",
            saturday : "Saturday",
            sunday : "Sunday",
            thursday : "Thursday",
            tuesday : "Tuesday",
            wednesday : "Wednesday",
        },
        deleteAlert : "Delete alert",
        deleteArg : "Delete {0}",
        deleteStr: "Delete",
        dependencyHeader: "{0} items depend on {1}",
        description: "Description",
        details : "Details",
        disabled : "Disabled",
        doActionInventory : "Inventory to get the complete details",
        doInventory : "Inventory",
        download : "Download",
        edit : "Edit",
        enabled : "Enabled",
        enclosure : "Enclosure",
        enterAdministratorCredentials : "Enter administrator credentials",
    	enterRootCredentials : "Enter super user credentials to update components",
        error : "Error",
        every : "Every",
	exit : "Exit",
        F_VMWARE_NIC_DISC_ERR_MSG : "VMware node inventory failed while reading NIC information.",
        F_VMWARE_FCHBA_DISC_ERR_MSG : "VMware node inventory failed while reading FCHBA information.",
        F_VMWARE_ILO_DISC_ERR_MSG : "VMware node inventory failed while reading ILO information.",
        F_VMWARE_OS_DISC_ERR_MSG : "VMware node inventory failed while reading Operating System information.",
        F_VMWARE_SYSHW_DISC_ERR__MSG : "VMware node inventory failed while reading System Hardware information.",
        F_VMWARE_GENERAL_DISC_ERR_MSG : "VMware node inventory failed while reading Hardware / Operating System information.",
        F_VMWARE_SA_DISC_ERR_MSG : "VMware node inventory failed while reading Smart Array information.",
        F_VMWARE_PCI_DISC_ERR_MSG : "VMware node inventory failed while reading PCI information.",
        F_VMWARE_MSG : "Please check your network connectivity and HP WBEM Provider status in the VMware node.",
        F_VMWARE_SECOND_MSG : "{0} after checking the above.",
        F_VMWARE_SELF_DISC_DNL_ERROR_MSG : "VMware node inventory failed to download ",
        failedComponents : "components.",
        fieldRequired : "This field is required.",
        filter : "Filter",
        filters : "Filters",
		find : "Find Nodes",
		findNodesWithIPRange : "Find nodes on network with an IP range",
        firmwareBaseline : "Firmware Baseline",
        firmwareVersion : "Firmware Version",
        first : "First",
        fourth : "Fourth",
        general : "General",
        group : "Group",
        help : "Help",
        hpux : "HP-UX",
        ifNeeded : "If needed",
        ilo : "iLO",
        important : "Important",
        installationNotes : "Installation notes",
        ipDns : "IP/DNS",
        ipdu : "iPDU",
        label : "Label",
        languages : "Languages",
        last : "Last",
        linux : "Linux",
		linuxcredentials : "Access Level",
		linuxcredentialsApplicable : "Access Level (Not applicable for use current credentials. Applicable only for administrator credentials)",
		loading: "Loading",
		local: "Local",
		locationStr: "Location",
		loggedIn : "Logged in",
        logout : "Logout",
        ManagementSWat : "Management Software is accessible at: {0}",
		message: "Message",
        model : "Model",
        more : "More",
        name : "Name",
        next : "Next",
        no : "No",
        yes: "Yes",
        noAssociatedDevicesFound : "No associated devices found.",
        nodes : "Nodes",
		noderange : "Node Range",
        oa : "OA",
        ok : "OK",
		oddeven: "Odd-Even",
		serial: "Serial",
		parallel: "Parallel",
        oneTouchUpdate : "Localhost Guided Update",
        operatingSystems : "Operating Systems",
        os : "OS",
        overview : "Overview",
        password : "Password",
        progress : "Progress",
        previous : "Prev",
        query : "?",
        questionMark : "?",
        reboot : "Reboot",
        reenterCredentials : "Re enter Credentials",
        related : "Related",
        reset : "Reset",
        resetAll : "Reset all",
        retry : "Retry",
        save: "Save",
        saveAs : "Save As",
        scoutingDevice : "Scouting device ...",
        search : "Search",
        second : "Second",
        selectOption : "Select option",
        server : "Server",
        servers: "Servers",
        session: "Session",
        staging : "Staging",
        start : "Start",
        startOver : "Start Over",
        state : "State",
        statusStr : "Status",
        strDelete : "Delete",
        switchStr : "Switch",
        switches : "Switches",
        tasks : "Activity",
        the : "The",
        third : "Third",
        time : "Time",
        type : "Type",
        undefinedStr : "Undefined",
        unknown: "Unknown",
        uploads : "Uploads",
        useCurrentCredentials : "Use current credentials (requires existing trust relationship with the node).",
        user : "User",
        username : "Username",
		useSudoCredentials : "Use sudo to update components",
        utilization : "Utilization",
        version : "Version",
        viewAllActivity : "View all activity",
        warning : "Warning",
        weekly : "Weekly",
        weeks : "weeks",
        welcome : "Welcome to HP Smart Update Manager",
        windows : "Windows",
        yesDelete : "Yes, delete",
        unsupportedBrowser : "Warning: The browser you are using is not officially supported by HP SUM.  Some features may not work properly. Supported browsers are: Internet Explorer 8 or greater, Firefox 17 (Linux)/ 18 (Windows) or greater, Chrome 24 or greater",
        unsupportedBrowserVersion : "Warning: The browser version you are using is below the version officially supported by HP SUM.  Some features may not work properly. Supported browsers are: Internet Explorer 8 or greater, Firefox 17 (Linux)/ 18 (Windows) or greater, Chrome 24 or greater",
        unknownNodeError : "Unable to identify node as a supported node type. Please ensure that node is supported, reachable on the network and credentials are correct.",
        minimumResolutionWarning: "A minimum screen resolution of 1024 x 768 is recommended when using HP Smart Update Manager in order to ensure all functionality is available."
    },
    dashboard : {
        age : "Age",
        sinceLastMonth : "Since last month",
        sinceLastWeek : "Since last week",
        sinceYesterday : "Since yesterday",
        totals : "Totals",
    },
    enclosure : {
        addEnclosure : "Add Enclosure",
        deviceType : "Device type",
		deployEnclosure : "Deploy Enclosure",
        embedded : "Embedded",
        ended : "Ended",
        expected : "Expected",
        hostnameOrIpAddress : "Hostname or IP address",
        link : "Link",
        longModelDescription : "Long Model Description",
        matrixEnabled : "CloudSystem Matrix enabled",
        matrixVersion : "CloudSystem Matrix version",
        measured : "Measured",
        notes : "Notes",
        started : "Started",
        units : "Units",
        usage : "Usage",
    },
    host : {
        addVmHost: "Add VM host",
        connectionError : "Encountered a communication problem with {0}. Try again.",
        history : "History",
        memoryAlloc : "Memory allocated",
        sortBy : "Sort by",
        storageAlloc : "Storage allocated",
        vCoreAlloc : "vCore allocated",
        uptime : "Uptime",
        vmHosts : "VM hosts",
        vms : "VMs",
    },
    menu : {
        deploymentTypes : "Deployment Types",
        enclosures : "Enclosures",
        sources : "Options",
        vmHosts : "VM hosts",
        welcome : "Home",
        general : "General",
        pageTypes : "Deployment Types",
        dashboard : "Dashboard",
        node : "Node",
    	ilo : "iLO",
        vc: "Virtual Connect",
        ipdu : "Intelligent Power Distribution Units (iPDU)"
    },
    group: {
    	groups : "Groups",
    	addGroup : "Add Group",
    	addNew: "Add New Group",
    	general: "General",
    	groupName: "Group Name",
    	enterGroupName : "Please enter Group name",
    	groupDescription: "Group Description",
    	description: "Description",
    	groupStatus: "Group Status",
    	selectNodes: "Select Nodes",
    	name: "Name",
    	type: "Type",
    	addNode: "New Node",
    	addNewNode: "Add a new Node",
    	edit: "Edit Group",
    	noMoreNodesAvailable : "No more Node(s) available",
    	noNodesInGroup : "No Node(s) in the group",
    	groupAlreadyExists: "Entered Group Name already exists",
    	status: "Status",
    	addNodesToGroup: "Add Node(s) to Group",
    	removeNodesFromGroup: "Remove Node(s) from Group",
    	editCredentials: "Change Group Credentials",
    	requiredUserName: "Required User Name along with Password",
    	requiredPassword: "Required Password along with User Name",
    	editedGroup: "Edited Group",
    	groupNodes: "Group Nodes",
    	nodeName: "Node Name",
    	groupInitSummary: "Group Initialize is in progress",
    	groupNoNodesSummary: "No Node(s) in the group",
    	groupInActiveSummary: "Group is In-Active",
    	groupInActiveDetails: "Please Activate/Remove in-active node(s)",
    	groupErrorSummary: "An Error occurred on Group",
    	groupErrorDetails: "Group has Error Node(s)",
    	groupScoutingSummary: "Scouting is in progress",
    	readyForInventory: "Ready to start inventory",
    	startInventory: "Start Inventory",
    	inventory: "Inventory",
    	inventoryGroup: "Inventory Group",
    	selectedBaseline: "Currently Selected Baseline",
    	selectBaseline: "Select a Baseline",
    	currentlySelectedBaseline: "Currently selected baseline for this group",
    	currentBaselineSelected: "Current Baseline selected",
    	additionalPackageSelected: "Additional Package selected",
    	selectBaselineInventory: "Select the baseline you want to use to do the inventory.",
    	baselines: "Baselines",
    	additionalPackage: "Additional Package",
    	groupBaseLines: "Group Baselines",
    	inventoryProgress: "Inventory is in progress",
    	selfInventoryProgress: "Self Inventory is in progress",
    	startInventoryAgain: "Start Inventory Again",
    	inventoryError: "Inventory Error",
    	readyForDeploy: "Ready to start deploy",
    	startDeploy: "Start Deploy",
    	analysisProgress: "Analysis is in progress",
        analysisProgressPW: "Analysis is in progress. Please wait...",
        applicableComps: "Applicable components are repopulated after analysis.",
    	deployProgress: "Deployment is in progress",
    	noApplicableComp: "Group is Up-to-Date. No applicable component found", 
    	deployGroup: "Deploy Group",
    	deployErrorSummary: "Deployment Error",
    	deployHoldSummary: "Deployment is On Hold",   	
    	deployDone: "Deployment Done",
    	deployStarted: "Deployment Started",
    	deletedGroup: "Deleted group",
    	deleteConfirm: "Continue with Delete group?",
    	abortConfirm: "Continue with Abort group?",
    	yesAbort: "Yes, abort",
    	abortedGroup: "Aborted group",
    },
    node : {
        abortActionSuccessful : "Abort Successful",
        abortFor : "Abort for {0}",
        abortInProgress : "Abort in progress ...",
        abortInstallFor : "Abort installation for {0}",
        activeProcess: "If active update process is detected on the remote node, HP SUM should",
        activeVersion : "Active Version",
		ActivationOrder: "Activation Order",
		activationDelay: "Activation Delay",
		addassociatednodes : "Auto Add Associated Nodes",
		addBaselineOptional : "(Optional) Select an already added and inventoried baseline and/or additional package to apply to this node.  If not added now, a baseline or additional package must be specified when Inventory is started on the node.",
		addBaselineMandatory : "Select an already added and inventoried baseline and/or additional package to apply to this node.",
        associatedNodeDetails : "Associated Node Details",
        additionalPackages : "Additional Packages",
        addNew : "Add New",
        addNode : "Add Node",
		addnodes : "Add Nodes",
        addedNodes : "Added Nodes",
        agentlessManagementService : "Agentless Management Service",
        always : "Always",
        analysis : "Analysis",
        applicableComponents : "Applicable Components",
        assignTo : "Assign to",
        availableNodes : "Available Nodes",
        availableVersion : "Available Version",
        cannotDelete : "Cannot delete localhost!",
        close : "Close",
        componentDetails : "Component Details",
        compFailedDep : "Components with failed dependencies selected",
        compSelect : "{0} Components Selected",
        compSelectZero : "0 Components Selected",
        cpuSockets : "CPU Sockets",
        csv : "CSV",
        currentBaselineSelected : "Current baseline selected",
        currentlySelectedBaseline : "Currently selected baseline for this node",
        currentStatus : "Current Status",
        daily : "Daily",
        dayOfEveryMonth : "day of every month",
        days : "days",
        deploy : "Deploy",
        descriptionPlaceholder : "Description placeholder",
        doActionDeploy : "Ready for deployment.  Deploy",
        doDeploy : "Deploy",
        dummyIpAddress : "99.99.99.240",
	    duplicateNode : "This node is already added",
        enableSchedule : "Enable schedule",
        enterAssociatedOADetails: "Enter associated Onboard Administrator details",
        enterPartnerIpduDetails: "Enter Partner iPDU Details",
        enterRebootMessage : "Enter reboot message",
        errorPleaseSelectBaseline : "Error - Select baseline",
        estimatedDeploymentTime : "Estimated deployment time: 15 mins",
		EnetOrder : "VC Enet Modules Activation Order",
		EnetDelay :"VC Enet Modules Activation Delay",
		FCDelay: "VC FC Modules Activation Delay",
        every : "Every",
        failedAnalysis : "Analysis failed.",
        failedDependencyDetails : "Failed dependency details",
        family : "Family",
        fibreChannelSwitch : "Fibre Channel Switch",
        filteringIsInProgressPleaseWait: "Filtering Components. Please wait...",
        firmwareDetails : "Firmware details",
        first : "First",
		FCOrder: "VC FC Modules Activation Order",
        forceOptions : "Force Options",
        forceOptionFirmware : "Firmware - Allows the selection of the older firmware components",
        forceOptionMessage  : "Force Software and Firmware options must be used in conjunction with Downgrade and/or Rewrite options.",
        forceOptionSoftware : "Software - Allows the selection of the older software components",
        forceOptionsCanBeAppliedTo : "Force options can be applied to",
        fourth : "Fourth",
        friday : "Friday",
        generate : "Generate",
        hpSasBlInterconnectSwitch : "HP SAS B/L Interconnect Switch",
        html : "HTML",
        ifNeeded : "If needed",
        iloHpCom : "ilo.hp.com",
        installableDetails : "Deploy preview",
        installDone : "Install done.",
        installDoneWithErrors: "Install done with error(s)",
        installDoneSee : "Install done. See component logs for more information.",
        installDoneSeeErrors : "Install done with error(s). See component logs for more information.",
        installProgress : "Install in progress.",
        installationOptionDowngrade : "Downgrade - Allow downgrades to older versions of already installed components",
        installationOptionRewrite : "Rewrite - Allow the same version to be rewritten for already installed components",
        installationOptions : "Installation Options",
        installedDetails : "Last deploy details",
        installedVersion : "Installed Version",
        installing : "Installing",
        intelligentPowerDistributionUnit : "Intelligent Power Distribution Unit (iPDU)",
		invalid : "Invalid IP Address or Range specified",
        inventory : "Inventory",
        inventoryInProgress : "Inventory in progress.",
		ip : "IP Address",
        ipCannotBe : "IP cannot be",
		ipend : "IP End Address",
		ipstart : "IP Start Address",
        keyPemForSshAuth : "PEM key for SSH authentication access",
        last : "Last",
        leaveAlone :"Leave the update running and bypass the node",
        monday : "Monday",
        monthly : "Monthly",
        needAssociatedOADetails: "Requires associated Onboard Administrator credentials to continue inventory",
        needAssociatediPDUDetails: "Requires partner iPDU credentials to continue inventory",
        no : "No",
        noAddedNodes : "No nodes added!",
        noApplicableComponentsFound : "No applicable components found",
        noFoundNodes : "No nodes found!",
        noItemsFound : "No items found!",
        firewallBlocking : "Verify no firewalls are blocking HTTP/FTP traffic between the system running HPSUM and the remote node.",
        noAssociatedNodes : "No associated nodes found!",
        noBaselineAvailable : "No baseline available to proceed with deployment.",
        noBaselineDefined : "No baseline defined",
        nodeDetails : "Node Details",
        nodeInventoryInProgress : "Node inventory in progress ...",
        nodesPopulatedAfterSearch : "Nodes will be populated after search.",
        nodeUpToDate : "Node up to date",
		node_name : "DNS Target Name",
        nodeNotReady : "Node not ready for deployment.",
        none : "None",        
        notValidIpOrDns : "Not a valid IP (IPv4/IPv6) or DNS",
        ofEveryMonth : "of every month",
        onboardAdministrator : "Onboard Administrator",
        one : "One",
        osManagementOptions : "OS Management Options",
        phase : "Phase",
        pleaseSelectCorrectNode : "Please select the correct node.",
        proliantBl460cG7 : "ProLiant BL460c G7",
        readyForDeploy : "Ready for deployment.",
        rebootAndForceOptions : "Reboot and Force Options",
        rebootDelay : "Reboot Delay (Seconds)",
        rebootMessage : "Reboot at user request after deploy",        
        rebootMessageLength : "Message up to 255 characters",
        rebootOptions : "Reboot Options",
        rebootSystemAfterInstallation : "Reboot system after installation",
	rebootRequired : "Reboot required after install",
	nodeRebooted : "Node is rebooted",
        recurEvery : "Recur every",
        replaceSession: "Stop any currently running update process on the node and replace it with updates from this session",
        reports : "Reports",
        reportsDesc : "Reports description (TBD)",
        required : "Required",
        reviewDeploy : "Review/ Deploy",
        reviewAndDeploy: "Review and deploy updates",
        saturday : "Saturday",
        sd2HasErrors : "SD2 has FW analysis errors. Check the Deploy screen for details",
        sd2HasWarnings : "SD2 has FW analysis warnings. Check the Deploy screen for details",
        scanning : "Scanning",
        schedule : "Schedule",
        scheduleNodes : "Schedule Nodes",
        scheduleOverviewDesc : "Updates will be scheduled for previously selected nodes or groups. The time is relative to the time zones",
        searchIsInProgressPleaseWait : "Search is in progress. Please wait...",
        second : "Second",
        selectBaseline : "Select the baseline you want to associate with this node",
        selectBaseline2 : "Select the baseline you want to use to do the inventory",
        selectType : "Select Type",
        serial : "Serial",
        servers : "{0} Servers",
        start : "Start",
        sunday : "Sunday",
		superdome2onboardAdministrator : "Superdome 2 Onboard Administrator",
        the : "The",
        third : "Third",
        three : "Three",
        thursday : "Thursday",
        tuesday : "Tuesday",
		type : "Node Type",
        two : "Two",
        vcOptionstitle:"Virtual Connect Options",
        virtualConnect : "Virtual Connect",
        useCredentialsAbove : "Use credentials above",
        userSshAuth : "User SSH Authentication Access",
        useSnmp : "Use SNMP",
        useWebem : "Use WBEM",
        vmWareHost : "VMware host",
		vcOptions : "VC Activation Options",
        waitingforAssoc : "Waiting for associated target to finish install.",
        waitingforComp : "Waiting for component information...",
        wednesday : "Wednesday",
        weekly : "Weekly",
        weeks : "weeks",
        xml : "XML",
        selectReportTypes : "Select Report Types",
        selectReportFormats : "Select Report Format",
        advancedReportOptions : "Advanced Report Options",
        runbackReport : "Run in Background",
        reportInProgress : "Generating Report In Progress",
        runningReportInBack : "Report generation running in Background for {0}.",
        runningReportInBackMulti : "Report generation running in Background for Multiple Nodes.",
        doneReportMulti : "Report generated successfully for Multiple Nodes.",
        partialReportMulti : "Report generated Partially for Multiple Nodes.",
        failedReportMulti : "Failed to generate Report for Multiple Nodes",
        referForReportStatus : "Please refer Activity screen or Reports Center for the report details",
        doneReport : "Report generated successfully for {0}",
        failedReport : "Failed to generate Report for {0}",
        pleaseWait : "Please Wait...",
        partialReport : "Report generated Partially for {0}",
        viewLogs: "View installation log(s)",
        installationLogs : "Installation logs",
        logDetails : "Log details",
	nodeName : "Node(s)",
        timeStamp : "Generated At",
        reportFormat : "Format",
        reportStatus : "Status",
        reportDelete : "Delete?",
        completed : "Completed",
        partiallyCompleted : "Partially Completed",
        inProgress : "In Progress",
        failed : "Failed",
        firmWareType : "Firmware",
        installableType : "Installable",
        installedType : "Installed",
        failledDepencyType : "Failed Dependency",
        reportPath : "Location",
        noReports : "No Reports Available",
        allReports : "Reports Center",
        deleteReportConfirm : "Continue with Delete Report?",
        viewDetails : "View Details",
    },
    notLocalized : "FIXME: NOT LOCALIZED",
    oneTouchUpdate : {
        actionTitle : "Localhost Guided Update",
        activeVersion : "Active Version",
        addBaselines : "Select baselines",
        addBaselinesError : "Failed to get results",
        addNodes : "Select Nodes",
        addedNode : "Added node",
        advancedOptions : {
            dayOfEveryMonth : "day of Every month",
            days : "days",
            downgrade : "Downgrade",
            enableSchedule : "Enable Schedule",
            enterRebootMessage : "Enter reboot message",
            firmware : "Firmware",
            forceOptions : "Global Force Options",
            installOptions : "Global Install Options",
            ofEveryMonth : "of Every month",
            reboot : "Global Reboot Options",
            rebootDelay : "Reboot delay (seconds)",
            rebootDelayNotANumber: "Please enter a number here",
            rebootMessageLength : "Message up to 255 characters",
            rebootNodesAfterInstallation : "Reboot nodes after installation",
            rebootOptions : "Global Reboot options",
            recurEvery : "Recur every",
            rewrite : "Rewrite",
            schedule : "Schedule",
            scheduleOptions : "Schedule options",
            software : "Software",
            title : "Advanced options",
        },
        applicableComponents : "- applicable components",
        availableVersion : "Available Version",
        analyze : "Analyze",
        baselineAdded : "Baseline added",
        baselines : "Baselines",
        component : "Component",
        componentDetails : "Component details",
        componentDetailsFor : "Component details for {0}",
        componentHelp : "Component help",
        componentLog : "Component log",
        componentTitle : "Component title",
        componentVersion : "Component Version",
        confirmAutoUpdate : "Continue with full automatic inventory and deploy all suggested updates on the system running HP SUM?",
        deployment : "Deployment",
        deploymentCompleted : "Deployment completed",
        deploymentError : "Deployment error",
        deploymentInProgress : "Deployment in progress",
        deploymentLog : "Deployment log",
        deploymentResults : "Deployment results",
        deploymentStatus : "Deployment status",
        deploymentSummary : "Deployment summary",
        enterCredentials : "Enter credentials",
        enterPassword : "Enter password",
        enterUserName : "Enter user name",
        failedToAddBaseline : "Failed to add baseline",
        failedToAddNode : "Failed to add node",
        family : "Family",
        force : "Force",
        forced : "Forced",
        installedVersion : "Installed Version",
        interactive : "Interactive",
        inventory : "Inventory",
        inventoryBaselineNode : "Inventory of baseline and node",
        inventoryOfBaseline : "Inventory of baseline",
        inventoryOfNode : "Inventory of node",
        localhostOnly : "Localhost only",
        log : "Log",
        manageBaselines : "Add Baselines",
        manageNodes : "Add Nodes",
        mode : "Mode",
        moreDetails : "Automatic mode will perform inventory and deploy all suggested updates without user interaction on the system running HP SUM",
        multipleNodesBaselines : "Multiple nodes/baselines",
		noBaselineDefault : "No default baseline found.",
        nodeInventoryAborted : "Node inventory aborted",
        nodeDeployAborted : "Node deploy aborted",
        nodes : "Nodes",
        nonInteractive : "Automatic",
        overview : "Overview",
        packageStr : "Package",
        password : "Password",
        reboot : "Reboot",
	never : "Never",
        reports : {
            csv : "CSV",
            description : "Description",
            failedDependencyDetails : "Failed Dependency details",
            firmwareDetails : "Firmware details",
            html : "HTML",
            installableDetails : "Installable details",
            installedDetails : "Installed details",
            overview : "Overview",
            reports : "Reports",
            type : "Type",
            xml : "XML",
        },
        review : "Review",
		select : "Select",
		selectComponents : "Select Components",
		selected : "Selected",
        selectModeTypeDeployment : "Select deployment mode for localhost",
        statusStr : "Ready to proceed",
        step : "Step",
        title : "Localhost Guided Update",
        useCurrentCredentials : "Use current credentials",
        useCurrentCredentialsHelp : "Select to use current credentials",
        userAborted : "Aborted by user",
        userAbortedError : "Error occurred while aborting operation",
        userName : "User name",
        viewLog : "View log",
	tpmSummary : "CAUTION: A Trusted Platform Module (TPM) has been detected in this system.",
	tpmWarning : "CAUTION: A Trusted Platform Module (TPM) has been detected in this system. Failure to perform proper OS encryption procedures will result in loss of access to your data if recovery key is not available. \
		      Recommended procedure for Microsoft Windows(R) BitLocker(TM) is to \"suspend\" BitLocker prior to System ROM or Option ROM firmware flash. \
		      If you do not have your recovery key or have not suspended BitLocker, exit this flash. \
		      Failure to follow these instructions will result in loss of access to your data.",
    },
    server : {
        addServer : "Add server",
        advancedMemoryProtection : "Advanced Memory Protection",
        cpu : "CPU",
        controller : "Controller",
        controllerFV : "Controller Firmware Version",
        defaultStr : "Default",
        defaultEnabled : "Default enabled",
        defaultOn : "Default On",
        deviceWriteCache : "Device write cache",
        diskFV : "Disk Firmware Version",
        driverVersion : "Driver version",
        editSettings : "Edit settings",
        embeddedSataConfiguration : "Embedded SATA Configuration",
        embeddedSerialPort : "Embedded serial port",
        intelAmdVirtualizationTechnology : "Intel/AMD Virtualization Technology",
        intelHyperthreadingOptions : "Intel Hyper-threading options",
        intelTurboBoostTechnology : "Intel Turbo Boost Technology",
        intelVtdAmdVi : "Intel VT-d/AMD-Vi (IOMMU)",
        manageBios : "Manage BIOS",
        managedByFusion : "Managed by Fusion",
        memory : "Memory",
        modified : "Modified",
        modifiedSettings : "Modified settings",
        msExchange : "Microsoft Exchange 2010 Gold, 5000 Users",
        nicFcHbaCna : "NIC/FC-HBA/CNA",
        noExecuteMemoryProtection : "No-Execute Memory Protection",
        noSupportedNicFcHbaCnaFound : "No supported NIC/FC-HBA/CNA found",
        noSupportedStorageArraysFound : "No supported storage arrays found",
        numlockPowerOnState : "NUMLOCK Power-On State",
        onlineSpareWithAdvancedEccSupport : "Online spare with advanced ECC support",
        npar: "nPar",
        optimizedForLowPower : "RM-Optimized for low power",
        optimizedForPerformance : "Optimized for performance",
        processorOptions : "Processor options",
        proliant : "Proliant BL460c G7, mezz1",
        sataControllerOptions : "SATA controller options",
        serialNo : "Serial no",
        serialPortConfiguration : "COM2; IRQ3; IO: 2F8h-2FFh",
        serialPortOptions : "Serial port options",
        serverType : "Server type",
        storage : "Storage",
        systemOptions : "System options",
        systemRomVersion : "System ROM version",
        tbd : "TBD",
        virtualSerialPort : "Virtual serial port",
        virtualSerialPortConfiguration : "COM1; IRQ4; IO: 3F8h-3FFh",
    },
    shell : {
        serverFirmwareDistribution : "Server firmware distribution",
        switchPortsInUse : "Switch ports in use",
        terrabytesInUse : "Terabytes in use",
    },
    switchUI : {
        activeFirmwareVersion : "Active firmware version",
        adapterPort : "Adapter port",
        added : "Added",
        address : "Address",
        addressType : "Address type",
        addSwitch : "Add switch",
        allCategories : "All categories",
        average : "Average",
        bandwidthGbs : "Bandwidth GB/s",
        bitTransferRate : "Bit transfer rate",
        connectionState : "Connection state",
        connectivity : "Connectivity",
        connector : "Connector",
        deleted : "Deleted {0}",
        detailsTitle : "Details title",
        devices : "Devices",
        discoveredTime : "Discovered time",
        doThis : "do this",
        downlinks : "Downlinks",
        ethernet : "Ethernet",
        extended : "Extended",
        fibreChannel : "Fibre Channel",
        flexNic : "Flex NIC",
        hasStatus : "{0} has a {1}.",
        identifier : "Identifier",
        linkState : "Link state",
        noConnectionsDiscovered : "No connections discovered",
        networks : "Networks",
        oui : "OUI",
        packetTransferRate : "Packet transfer rate",
        partnerSwitch : "Partner switch",
        partNumber : "Part number",
        port : "Port",
        portDescription : "Port description",
        portId : "Port ID",
        portType : "Port type",
        received : "Received",
        receivedErrors : "Received errors",
        remoteConnection : "Remote connection",
        revision : "Revision",
        serialNumber : "Serial number",
        serverHardware : "Server hardware",
        serverProfile : "Server profile",
        speed : "Speed",
        statistics : "Statistics",
        systemDescription : "System description",
        systemName : "System name",
        toFixIt : "To <b>Fix</b> it, {0}",
        transmitErrors : "Transmit errors",
        transmitted : "Transmitted",
        transmittedErrors : "Transmitted errors",
        updated : "Updated",
        uplinks : "Uplinks",
        vendor : "Vendor",
        weHaveNoIdeaWhy : "We have no idea why.",
        writtenFirmwareVersion : "Written Firmware Version",
        wwn : "WWN",
    },
    task : {
        active : "Active",
        alerts : "Alerts",
        allTime : "All time",
        assign : "Assign (TBD)",
        clear : "Clear",
        cleared : "Cleared",
        finished : "Finished",
        from : "From",
        lastUpdated : "Last updated",
        mine : "Mine",
        olderThan1Year : "Older than 1 year",
        olderThan3Months : "Older than 3 months",
        pending : "Pending",
        resetToDefaults : "Reset to defaults",
        running : "Running",
        selectAll : "Select all",
        source : "Source",
        specificDateRange : "Specific date range",
        to : "To",
        today : "Today",
        withinLastMonth : "Within last month",
    },
    integrityilo : {
 		haspendingupdate : "Node has a pending firmware update",
 		hasprevious : "{0} has a previous firmware update pending activation.",
 		activateorcancel : "Activate or cancel pending firmware update.",
 		activatepending: "Activate pending",
 		pendingwarning: "Firmware updates cannot be performed on the node until the previous firmware update is either activated or canceled.",
 		activatependingfw: "Activate the pending firmware update",
 		activatependingWarning: "This will shutdown the OS on the node and let the firmware activation process complete",
 		cancelpendingfw: "Cancel the pending firmware update",
 		cancelpendingWarning: "WARNING: This may leave the system with an unbootable mix of iLO/System FW. Only use this if you are about to upgrade this server to a new version.",
 		doDeployDomain : "Review and Deploy updates to Domain",
        deployDomain: "Deploy Domain",
        rebootToActivate: "Reboot node to activate firmware",
        rebootNotNeeded: "Reboot is not required. The node is powered off",
        activateOnNodeScreen: "Node has a pending firmware update. The pending firmware update can be activated or canceled from the node screen",
    },
    sd2oa : {
    	partitions: "Partitions",
        noActivePartitions: "No active partitions.",
        noBladesUnassigned: "No unassigned Blades.",
        noPartitions: "No available partitions.",
    	number: "Number",
    	installedFW: "Installed Firmware",
    	bay: "Bay",
    	blades: "Blades",
    	vpars: "vPars",
    	cplxFW: "Complex Firmware",
    	parFW: "Partition Firmware",
    	mismatch: "Mismatch",
    	complexName: "Complex Name",
    	complexVer: "Complex Version",
    	fwBaseline: "Firmware Baseline",
    	serialNumber: "Serial Number",
    	cplxMismatchDetails: "Complex mismatch details",
    	
    },
    ipdu : {
    	extbars: "Ext Bars",
    },
    title : "HP Smart Update Manager ",
    welcome : {
        baselinesDescription : "Manage firmware and system software baselines",
        dashboardDescription : "Overview of what is happening with your infrastructure",
        getStarted : "Get started",
        nodesDescription : "Manage, analyze, and deploy updates to nodes",
        oneTouchUpdateDescription : "Simplified deployment in three steps",
    },
    
    AbortConfirm : {
            title : "Abort {0}",
            dependencyHeader : "{0} items depend on {1}",
            prompt : "Continue with delete?",
            ok : "Yes, Abort"
	},
	
	RebootConfirm : {
            title : "Reboot",
            dependencyHeader : "{0} items depend on {1}",
            errorReboot : "Error occurred while performing reboot operation.",
            node : "Node rebooted.",
            prompt : "Are you sure you want to reboot the nodes?",
            ok : "Yes, Reboot"
	},
	confirmation : {
            title : "Confirmation",
            dependencyHeader : "{0} items depend on {1}",
            prompt : "Are you sure you want to continue with the selected action?",
            promptDeploy : "Are you sure you want to continue with deploy?",
            ok : "Yes, Continue"
	},
	logout : {
            logoff : "Log Off - Current user.",
            shutdown : "Shutdown - This option will shutdown HP SUM engine.",
            title : "Log Off/Shutdown"
       },
    linuxAccess : {
           useAdminCredentials: "Use administrator credentials",
           useSudoWithCredentials: "Use sudo with credentials entered above",
           useSuperUserCredentials: "Use super user credentials"
       }
};});
