﻿// (C) Copyright 2012 Hewlett-Packard Development Company, L.P.
define([], function() {"use strict";
return {
    baseline : {
        add : {
        	availableBundles: "Available Web Bundles",
            title : "添加基准",
            enterDirectory : "输入目录路径",
            enterWorkingDirectory : "输入工作目录",
            enterURIPath  : "输入基准 URI",
            baselineAdded: "成功添加了新基准。",
            browseText: "Browse or manually enter a directory path where the components for the baseline are located.",
            browsePFWText: "Browse or manually enter a directory path where the Available Web Bundles list and components being downloaded from hp.com can be stored.",
            getList: "Retrieve List",
            locationAdded: "成功添加了新位置。",
            locationType : "位置类型",
            locationDetails : "位置详细信息",
            scheduleInformation : "计划和资源选项",
            selectLocation : "选择位置类型",
            local :"HP SUM 默认位置",
            unc :"UNC 路径(例如 \\\\host\\dir)",
            http :"HTTP",
            ftp :"从 hp.com 下载" ,
            enableSchedule: "是否安排从 Web 下载?",
            port : "端口",
            proxySettings : "代理设置",
            proxyOptions: "Proxy Options",
            proxyServer: "Proxy server",
            proxyuser : "用户名",
            proxypasswd: "密码",
            scheduleDatetime : "选择计划日期和时间",
            scheduleType : "重复模式",
            daily : "每天",
            weekly : "每周",
            monthly : "每月",
            onetime : "一次性",
            noProxyNeeded: "No Proxy Needed",
            none : "无",
            selectBundles: "Select one of the available web bundles to be downloaded from hp.com Note: If a component included in the initial release of " + 
            			   "the web bundle has been unpublished from hp.com, then it  will not be downloaded from hp.com with the web bundle. " + 
            			   "A SPP-sized bundle download may take more than several minutes to complete. Monitor the baseline page for download progress.",
            scheduleRecurring : "重复间隔",
            script : "脚本",
            url : "URL",
            usehp : "使用 hp.com",
            usescript : "使用脚本",
            username : "请输入用户名",
            password : "请输入密码",
            inValidLocation: "请输入有效的位置!",
            addInProgress: "正在添加基准。 请稍候...",
			retrieveInProgress : "Retrieving  list of  Web bundles. Please wait...",
        },
        addBaseline : {
            configured : "已配置",
            description : "说明",
            id : "ID",
            select : "选择基准",
            system : "系统",
        },
        custom : {
            add : "添加...",
            advancedFilters : "高级筛选器",
            applyfilters : "应用筛选器",
            applyfiltersHelp : '对所选的基准源应用筛选器。 将在下面显示筛选出的组件',
            applyfiltersError : 'No baseline source(s) selected. Select one or more baseline source(s)',
            architecture : "体系结构",
            arrayctrl : "阵列控制器",
            baselines : "基准",
            bootableiso : "可引导的 ISO",
            bootableisoHelp : "创建可引导并具有 HP SUM 二进制文件的自定义基准",
            both : "二者",
            comptype : "组件类型",
            createBaseline : "创建自定义基准",
            createCBLMsg : "创建自定义基准",
            createCBLMsgSuccess : "成功接受了自定义基准创建请求。",
            createCBLMsgError : "未能创建自定义基准",
            createiso : "创建 ISO",
            criticalUpdates : "重要更新",
            description : "说明",
            descriptionError : "说明错误: ",
            descriptionRequired : "需要提供自定义基准说明。",
            descriptionValidationMsg : "只能输入字母数字、连字符或下划线。",
            deviceType : "设备类型",
            dl360 : "DL360",
            dl380 : "DL380",
            fcHbaCna : "FC HBA/CNA",
            fcswitches : "光纤通道交换机",
            filters : "步骤 2 - 筛选器",
            firmware : "固件",
            harddrive : "硬盘",
            ilo : "iLO",
            isolocation : "ISO 位置",
            isolocRequired : "所需的 ISO 位置",
            isolochelp : "这是安装 SPP ISO 或放置 SPP ISO 的提取内容的位置。引导环境和 HP SUM 从此处选取。",
            maxlen : "最大长度可为 ",
            name : "基准名称",
            nic : "网卡",
            oa : "OA",
            optionalUpdates : "可选的更新",
            osType : "操作系统类型",
            osTypes : {
                rhel5 : "RHEL 5",
                rhel6 : "RHEL 6",
                sles10 : "SLES 10",
                sles11 : "SLES 11",
                vmwareEsxi50 : "VMware vSphere 5.0",
                vmwareEsxi51 : "VMware vSphere 5.1",
                vmwareEsxi55 : "VMware vSphere 5.5",
                windows2003R2 : "Windows 2003 R2",
                windows2008 : "Windows 2008",
                windows2008R2 : "Windows 2008 R2",
                windows2012 : "Windows 2012",
                windows2012R2 : "Windows 2012 R2"
            },
            outputDirWarning: "Warning: All existing files in the output directory will be removed when the baseline is generated.",
            noBaselinesAvailable : "无基准可用!",
            noMatchingComponents : "未找到匹配的组件!",
            overview : "概述",
            populateComponentOsMsg : "正在填充组件操作系统详细信息。 请稍候...",
            populateComponentOsErrorMsg : "填充组件操作系统详细信息时出错。 错误: ",
            populateSourcesMsg : "正在填充源。 请稍候...",
            populateSourcesErrorMsg : "填充源时出错。 错误:", 
            recommendedUpdates : "建议的更新",
            remove : "删除",
            retrieveCompMsg : "正在检索组件",
            retrieveCompMsgDone : "检索组件完毕",
            retrieveCompMsgError : "检索组件时出错",
            review : "步骤 3 - 检查",
            runinback : "在后台运行",
            runinbackHelp : "在后台创建自定义基准。 将在“活动”屏幕中显示状态",
            saveBaseline : "保存基准",
            sasswitches : "SAS BL 交换机互连模块",
            server : "服务器",
            software : "软件",
            sources : "步骤 1 - 基准源",
            storage : "存储",
            systemrom : "系统 ROM",
            tape : "磁带",
            targetlocation : "目标位置",
            targetlocRequired : "所需的目标位置",
            unknown : "未知",
            validationErrorMsg : "验证错误- 字段值为必填",
            vc : "Virtual Connect (VC)",
            version : "版本:",
            versionError : "版本错误: ",
            versionRequired : "所需的版本",
            versionValidationMsg : "只能输入数值。",
            x64 : "x64",
            x86 : "x86",
            versionHelp: "Version Identifier. Enter a one or two character version (ex: 00, 01, a1, 1A)",
            versionIdentifierError: "Please enter a one or two character version identifier."
        },
        start_inventory : "开始清点",
        schedule_download : "安排下载",
        download_now : "立即下载",
        starting_download : "正在开始下载", 
        compDownloadInProgress : " 正在进行组件下载",
        locations : "位置",
        nodeInventoryFailed : "节点清点失败",
        nodeInventoryInProgress : "正在进行节点清点",
        selectLocation : "选择有效的基准位置。",
        show : {
			allBaselinesSelected : "No baselines available for selection.",
            addFromMedia : "添加",
            component : "组件",
            componentHelp : "组件帮助",
            componentTitle : "组件标题",
            componentVersion : "组件版本",
            componentConfig: "组件配置",
            componentConfigError: "保存此组件的配置值时出错，请在 HP SUM 以外配置此组件",
	    componentConfigFor : "组件配置: {0}",
	    configuration : "配置",
            createCustom : "创建自定义",
            criticality : "重要性",
            enhancements : "增强功能",
            fixes : "修复",
            inventoryCompleted : "已完成清点",
            inventoryError : "清点错误",
            downloadNeeded : "需要下载才能完成处理",
            inventoryNeeded : "需要清点",
            inventoryInProgress : "正在进行清点",
            name: "名称",
            needConfig : "需要配置",
            noComponentsFound : "正在加载或清点",
            parDesc : "参数说明",
            parName : "参数名称",
            releaseDate : "发行日期",
            revisionHistory : "修订历史记录",
            subType : "子类型",
            totalComponents : "组件总数",
            type : "类型",
            value : "值",
            yesDelete : "是，删除",
        },
        storageRemaining : "剩余存储容量",
        version : "版本",
    },
    common : {
        abort: "中止",
        actions: "操作",
        activity : "活动",
        add : "添加",
        addNote : "添加注释",
        addPlus : "添加 +",
        added : "已添加",
		addSingleNode : "Add a single node by IP/DNS name",
		addType : "Select the type of add",
        all : "全部",
        allLabels : "所有标签",
        allStates : "所有状态",
        allStatuses : "所有状态",
        allTypes : "所有类型",
        always : "始终",
        apply : "应用",
        assignAlert : "分配警报",
        associatedDevices : "关联的设备",
		associatedservers : "设备托架",
		associatedswitches : "互连托架",
        back : "上一步",
        bandwidth : "带宽",
        baseline : "基准",
        baselines : "基准库",
        baselineToApply : "Baseline to Apply",
        bios : "BIOS",
        browse : "浏览",
        cancel : "取消",
        category : "类别",
        clearAlert : "清除警报",
        close : "关闭",
        collapseContent : "折叠内容",
        connections : "连接",
        continueWithAbort : "是否继续中止?",
        continueWithDelete : "是否继续删除?",
        credentials : "凭证",
        daily : "每天",
        dashboard : "仪表板",
        date : "日期",
        days : {
            friday : "星期五",
            monday : "星期一",
            saturday : "星期六",
            sunday : "星期天",
            thursday : "星期四",
            tuesday : "星期二",
            wednesday : "星期三",
        },
        deleteAlert : "删除警报",
        deleteArg : "Delete {0}",
        deleteStr : "删除",
        dependencyHeader: "{0} 项依赖于 {1}",
        description : "说明",
        details : "详细信息",
        disabled : "已禁用",
        doActionInventory : "清点以获取完整详细信息",
        doInventory : "清点",
        download : "下载",
        edit : "编辑",
        enabled : "已启用",
        enclosure : "机箱",
        enterAdministratorCredentials : "输入管理员凭证",
    	enterRootCredentials : "输入超级用户凭证以更新组件",
        error : "错误",
        every : "间隔",
		exit : "Exit",
        F_VMWARE_NIC_DISC_ERR_MSG : "VMware node inventory failed while reading NIC information.",
        F_VMWARE_FCHBA_DISC_ERR_MSG : "VMware node inventory failed while reading FCHBA information.",
        F_VMWARE_ILO_DISC_ERR_MSG : "VMware node inventory failed while reading ILO information.",
        F_VMWARE_OS_DISC_ERR_MSG : "VMware node inventory failed while reading Operating System information.",
        F_VMWARE_SYSHW_DISC_ERR__MSG : "VMware node inventory failed while reading System Hardware information.",
        F_VMWARE_GENERAL_DISC_ERR_MSG : "VMware node inventory failed while reading Hardware / Operating System information.",
        F_VMWARE_SA_DISC_ERR_MSG : "VMware node inventory failed while reading Smart Array information.",
        F_VMWARE_PCI_DISC_ERR_MSG : "VMware node inventory failed while reading PCI information.",
        F_VMWARE_MSG : "Please check your network connectivity and HP WBEM Provider status in the VMware node.",
        F_VMWARE_SECOND_MSG : "{0} after checking the above.",
        F_VMWARE_SELF_DISC_DNL_ERROR_MSG : "VMware node inventory failed to download ",
        failedComponents : "components.",
        fieldRequired : "This field is required.",
        filter : "筛选器",
        filters : "筛选器",
		find : "查找节点",
		findNodesWithIPRange : "Find nodes on network with an IP range",
        firmwareBaseline : "固件基准",
        firmwareVersion : "固件版本",
        first : "第一个",
        fourth : "第四个",
        general : "常规",
        group : "组",
        help : "帮助",
        hpux : "HP-UX",
        ifNeeded : "如果需要",
        ilo : "iLO",
        important : "重要说明",
        installationNotes : "安装注意事项",
        ipDns : "IP/DNS",
        ipdu : "iPDU",
        label : "标签",
        languages : "语言",
        last : "最后一个",
        linux : "Linux",
		linuxcredentials : "访问级别",
		linuxcredentialsApplicable : "访问级别(不适用于当前凭证。 仅适用于管理员凭证)",
		loading: "正在加载",
		local: "本地",
		locationStr: "位置",
		loggedIn : "已登录",
        logout : "Logout",
        ManagementSWat : "Management Software is accessible at: {0}",
        message : "消息",
        model : "型号",
        more : "更多",
        name : "名称",
        next : "下一个",
        no : "否",
        yes: "是",
        noAssociatedDevicesFound : "找不到关联的设备。",
        nodes : "节点",
		noderange : "节点范围",
        oa : "OA",
        ok : "正常",
		oddeven: "奇偶",
		serial: "序列号",
		parallel: "并行",
        oneTouchUpdate : "指导的更新",
        operatingSystems : "操作系统",
        os : "操作系统",
        overview : "概述",
        password : "密码",
        progress : "进度",
        previous : "前一",
        query : "?",
        questionMark : "?",
        reboot : "重新引导",
        reenterCredentials : "重新输入凭证",
        related : "相关",
        reset : "重置",
        resetAll : "全部重置",
        retry : "Retry",
        save: "保存",
        saveAs : "另存为",
        scoutingDevice : "正在搜索设备...",
        search : "搜索",
        second : "第二个",
        selectOption : "选择选项",
        server : "服务器",
        servers : "服务器",
        session: "会话",
        staging : "调试",
        start : "开始",
        startOver : "Start Over",
        state : "状态",
        statusStr : "状态",
        strDelete : "删除",
        switchStr : "交换机",
        switches : "交换机",
        tasks : "活动",
        the : "默认情况下，将清除",
        third : "第三个",
        time : "时间",
        type : "类型",
        undefinedStr : "未定义",
        unknown : "未知",
        uploads : "Uploads",
        useCurrentCredentials : "使用当前凭证(需要使用与节点的现有信任关系)。",
        user : "用户",
        username : "用户名",
		useSudoCredentials : "使用 sudo 更新组件",
        utilization : "利用率",
        version : "版本",
        viewAllActivity : "查看所有活动",
        warning : "警告",
        weekly : "每周",
        weeks : "周",
        welcome : "欢迎使用 HP Smart Update Manager",
        windows : "Windows",
        yesDelete : "是，删除",
        unsupportedBrowser : "警告: 您所使用的浏览器不受 HP SUM 官方支持。  某些功能可能无法正常工作。 支持的浏览器包括: Internet Explorer 8 或更高版本、Firefox 17 (Linux)/18 (Windows) 或更高版本、Chrome 24 或更高版本",
        unsupportedBrowserVersion : "警告: 您所使用的浏览器版本低于 HP SUM 官方支持的版本。  某些功能可能无法正常工作。 支持的浏览器包括: Internet Explorer 8 或更高版本、Firefox 17 (Linux)/18 (Windows) 或更高版本、Chrome 24 或更高版本",
        unknownNodeError : "无法将节点识别为支持的节点类型。 请确保支持该节点、可在网络上访问该节点并且凭证正确无误。",
        minimumResolutionWarning: "A minimum screen resolution of 1024 x 768 is recommended when using HP Smart Update Manager in order to ensure all functionality is available."
    },
    dashboard : {
        age : "时限",
        sinceLastMonth : "自上个月以来",
        sinceLastWeek : "自上周以来",
        sinceYesterday : "自昨天以来",
        totals : "总数",
    },
    enclosure : {
        addEnclosure : "添加机箱",
        deviceType : "设备类型",
		deployEnclosure : "部署机箱",
        embedded : "嵌入式",
        ended : "已结束",
        expected : "需要",
        hostnameOrIpAddress : "主机名或 IP 地址",
        link : "链路",
        longModelDescription : "长型号说明",
        matrixEnabled : "已启用 CloudSystem Matrix",
        matrixVersion : "CloudSystem Matrix 版本",
        measured : "已测量",
        notes : "说明",
        started : "已开始",
        units : "单位",
        usage : "用法",
    },
    host : {
        addVmHost : "添加 VM 主机",
        connectionError : "遇到了与 {0} 的通信问题。请重试.",
        history : "历史记录",
        memoryAlloc : "分配的内存",
        sortBy : "排序方式",
        storageAlloc : "分配的存储",
        vCoreAlloc : "分配的 vCore",
        uptime : "正常运行时间",
        vmHosts : "VM 主机",
        vms : "VM",
    },
    menu : {
        deploymentTypes : "部署类型",
        enclosures : "机箱",
        sources : "选项",
        vmHosts : "VM 主机",
        welcome : "主页",
        general : "常规",
        pageTypes : "部署类型",
        dashboard : "仪表板",
        node : "节点",
    	ilo : "iLO",
        vc: "Virtual Connect",
        ipdu : "智能配电装置(iPDU)"
    },
    group: {
    	groups : "组",
    	addGroup : "添加组",
    	addNew: "添加新组",
    	general: "常规",
    	groupName: "组名称",
    	enterGroupName : "请输入组名",
    	groupDescription: "组说明",
    	description: "说明",
    	groupStatus: "组状态",
    	selectNodes: "选择节点",
    	name: "名称",
    	type: "类型",
    	addNode: "新建节点",
    	addNewNode: "添加新节点",
    	edit: "编辑组",
    	noMoreNodesAvailable : "没有可用的其它节点",
    	noNodesInGroup : "组中没有节点",
    	groupAlreadyExists: "输入的组名已存在",
    	status: "状态",
    	addNodesToGroup: "将节点添加到组中",
    	removeNodesFromGroup: "从组中删除节点",
    	editCredentials: "更改组凭证",
    	requiredUserName: "所需的用户名和密码",
    	requiredPassword: "所需的密码和用户名",
    	editedGroup: "编辑的组",
    	groupNodes: "组节点",
    	nodeName: "节点名称",
    	groupInitSummary: "正在进行组初始化",
    	groupNoNodesSummary: "组中没有节点",
    	groupInActiveSummary: "组处于活动状态",
    	groupInActiveDetails: "请激活/删除非活动的节点",
    	groupErrorSummary: "组中出错",
    	groupErrorDetails: "组具有错误节点",
    	groupScoutingSummary: "正在进行搜索",
    	readyForInventory: "准备开始清点",
    	startInventory: "开始清点",
    	inventory: "清点",
    	inventoryGroup: "清点组",
    	selectedBaseline: "当前选定的基准",
    	selectBaseline: "选择基准",
    	currentlySelectedBaseline: "当前为此组选定的基准",
    	currentBaselineSelected: "当前选定的基准",
    	additionalPackageSelected: "选定的其它软件包",
    	selectBaselineInventory: "选择要用于执行清点的基准",
    	baselines: "基准",
    	additionalPackage: "其它软件包",
    	groupBaseLines: "组基准",
    	inventoryProgress: "正在进行清点",
    	selfInventoryProgress: "正在进行自清点",
    	startInventoryAgain: "再次开始清点",
    	inventoryError: "清点错误",
    	readyForDeploy: "准备开始部署",
    	startDeploy: "开始部署",
    	analysisProgress: "正在进行分析",
        analysisProgressPW: "正在进行分析。 请稍候...",
        applicableComps: "分析后重新填充适用的组件。",
    	deployProgress: "正在进行部署",
    	noApplicableComp: "组处于最新状态。 找不到适用的组件", 
    	deployGroup: "部署组",
    	deployErrorSummary: "部署错误",
    	deployHoldSummary: "已暂停部署",   	
    	deployDone: "已完成部署",
    	deployStarted: "已开始部署",
    	deletedGroup: "删除的组",
    	deleteConfirm: "是否继续删除组?",
    	abortConfirm: "是否继续中止组?",
    	yesAbort: "是，中止",
    	abortedGroup: "中止的组",
    },
    node : {
        abortActionSuccessful : "中止成功",
        abortFor : "中止: {0}",
        abortInProgress : "正在进行中止...",
        abortInstallFor : "中止安装: {0}",
        activeProcess: "如果在远程节点上检测到活动更新过程，HP SUM 应",
        activeVersion : "活动版本",
		ActivationOrder: "激活顺序",
		activationDelay: "激活延迟",
		addassociatednodes : "自动添加关联节点",
		addBaselineOptional : "(Optional) Select an already added and inventoried baseline and/or additional package to apply to this node.  If not added now, a baseline or additional package must be specified when Inventory is started on the node.",
		addBaselineMandatory : "Select an already added and inventoried baseline and/or additional package to apply to this node.",
        associatedNodeDetails : "关联的节点详细信息",
        additionalPackages : "其它软件包",
        addNew : "添加新的",
        addNode : "添加节点",
		addnodes : "添加节点",
        addedNodes : "添加的节点",
        agentlessManagementService : "Agentless Management Service",
        always : "始终",
        analysis : "分析",
        applicableComponents : "适用的组件",
        assignTo : "分配给",
        availableNodes : "可用的节点",
        availableVersion : "可用的版本",
        cannotDelete : "无法删除 localhost!",
        close : "关闭",
        componentDetails : "组件详细信息",
        compFailedDep : "所选组件的依赖项有故障",
        compSelect : "选择了 {0} 个组件",
        compSelectZero : "选择了 0 个组件",
        cpuSockets : "CPU 插槽",
        csv : "CSV",
        currentBaselineSelected : "当前选定的基准",
        currentlySelectedBaseline : "当前为此节点选定的基准",
        currentStatus : "当前状态",
        daily : "每天",
        dayOfEveryMonth : "每月中的一天",
        days : "日",
        deploy : "部署",
        descriptionPlaceholder : "说明占位符",
        doActionDeploy : "准备部署。  部署",
        doDeploy : "部署",
        dummyIpAddress : "99.99.99.240",
	    duplicateNode : "已添加此节点",
        enableSchedule : "启用计划",
        enterAssociatedOADetails: "输入关联的 Onboard Administrator 详细信息",
        enterPartnerIpduDetails: "输入伙伴 iPDU 详细信息",
        enterRebootMessage : "输入重新引导消息",
        errorPleaseSelectBaseline : "错误 - 选择基准",
        estimatedDeploymentTime : "估计的部署时间: 15 分钟",
		EnetOrder : "VC Enet 模块激活顺序",
		EnetDelay :"VC Enet 模块激活延迟",
		FCDelay: "VC FC 模块激活延迟",
        every : "间隔",
        failedAnalysis : "分析失败。",
        failedDependencyDetails : "失败的依赖项详细信息",
        family : "系列",
        fibreChannelSwitch : "光纤通道交换机",
        filteringIsInProgressPleaseWait: "Filtering Components. Please wait...",
        firmwareDetails : "固件详细信息",
        first : "第一个",
		FCOrder: "VC FC 模块激活顺序",
        forceOptions : "强制选项",
        forceOptionFirmware : "固件 - 允许选择旧固件组件",
        forceOptionMessage  : "Force Software and Firmware options must be used in conjunction with Downgrade and/or Rewrite options.",
        forceOptionSoftware : "软件 - 允许选择旧软件组件",
        forceOptionsCanBeAppliedTo : "强制选项可应用于",
        fourth : "第四个",
        friday : "星期五",
        generate : "生成",
        hpSasBlInterconnectSwitch : "HP SAS B/L 互连交换机",
        html : "HTML",
        ifNeeded : "如果需要",
        iloHpCom : "ilo.hp.com",
        installableDetails : "可安装项详细信息",
        installDone : "安装完毕。",
        installDoneWithErrors: "安装完毕，但有错误",
        installDoneSee : "安装完毕。 有关详细信息，请参阅组件日志。",
        installDoneSeeErrors : "安装完毕，但有错误。 有关详细信息，请参阅组件日志。",
        installProgress : "正在安装。",
        installationOptionDowngrade : "降级 - 允许降级到已安装的组件的旧版本",
        installationOptionRewrite : "重写 - 允许为已安装的组件重写相同的版本",
        installationOptions : "安装选项",
        installedDetails : "已安装项详细信息",
        installedVersion : "安装的版本",
        installing : "正在安装",
        intelligentPowerDistributionUnit : "智能配电装置(iPDU)",
		invalid : "IP 地址无效",
        inventory : "清点",
        inventoryInProgress : "正在进行清点。",
		ip : "IP 地址",
        ipCannotBe : "IP 不能是",
		ipend : "IP 结束地址",
		ipstart : "IP 开始地址",
        keyPemForSshAuth : "用于 SSH 验证访问的 PEM 密钥",
        last : "最后一个",
        leaveAlone :"将更新保持运行并绕过节点",
        monday : "星期一",
        monthly : "每月",
        needAssociatedOADetails: "需要关联的 Onboard Administrator 凭证才能继续清点",
        needAssociatediPDUDetails: "需要伙伴 iPDU 凭证才能继续清点",
        no : "否",
        noAddedNodes : "未添加节点!",
        noApplicableComponentsFound : "找不到适用的组件",
        noFoundNodes : "未找到节点!",
        noItemsFound : "未找到项!",
        firewallBlocking : "请确认防火墙没有阻止运行 HPSUM 的系统和远程节点之间的 HTTP/FTP 通信。",
        noAssociatedNodes : "未找到关联节点!",
        noBaselineAvailable : "没有基准可用于进行部署。",
        noBaselineDefined : "未定义基准",
        nodeDetails : "节点详细信息",
        nodeInventoryInProgress : "正在进行节点清点...",
        nodesPopulatedAfterSearch : "搜索后将填充节点。",
        nodeUpToDate : "节点处于最新状态",
		node_name : "DNS 目标名称",
        nodeNotReady : "节点未准备好进行部署。",
        none : "无",        
        notValidIpOrDns : "不是有效的 IP (IPv4/IPv6)或 DNS",
        ofEveryMonth : "每月中的",
        onboardAdministrator : "Onboard Administrator",
        one : "一个",
        osManagementOptions : "操作系统管理选项",
        phase : "阶段",
        pleaseSelectCorrectNode : "请选择正确的节点。",
        proliantBl460cG7 : "ProLiant BL460c G7",
        readyForDeploy : "准备部署。",
        rebootAndForceOptions : "重新引导和强制选项",
        rebootDelay : "重新引导延迟(秒)",
        rebootMessage : "部署后根据用户请求重新引导的过早重新引导消息",        
        rebootMessageLength : "消息最长为 255 个字符",
        rebootOptions : "重新引导选项",
        rebootSystemAfterInstallation : "安装后重新引导系统",
	rebootRequired : "安装后需要重新引导",
	nodeRebooted : "节点已重新引导",
        recurEvery : "重复间隔",
        replaceSession: "停止当前在节点上运行的任何更新过程，然后将其替换为此会话中的更新",
        reports : "报告",
        reportsDesc : "报告说明(TBD)",
        required : "必需",
        reviewDeploy : "Review/ Deploy",
        reviewAndDeploy: "Review and deploy updates",
        saturday : "星期六",
        sd2HasErrors : "SD2 出现固件分析错误。 有关详细信息，请查看“部署”屏幕",
        sd2HasWarnings : "SD2 出现固件分析警告。 有关详细信息，请查看“部署”屏幕",
        scanning : "正在扫描",
        schedule : "计划",
        scheduleNodes : "计划节点",
        scheduleOverviewDesc : "将为以前选定的节点或组计划更新。 时间与时区相关",
        searchIsInProgressPleaseWait : "正在进行搜索。 请稍候...",
        second : "第二个",
        selectBaseline : "选择要与此节点关联的基准",
        selectBaseline2 : "选择要用于执行清点的基准",
        selectType : "选择类型",
        serial : "序列号",
        servers : "{0} 个服务器",
        start : "开始",
        sunday : "星期天",
		superdome2onboardAdministrator : "Superdome 2 Onboard Administrator",
        the : "默认情况下，将清除",
        third : "第三个",
        three : "三个",
        thursday : "星期四",
        tuesday : "星期二",
		type : "节点类型",
        two : "两个",
        vcOptionstitle:"Virtual Connect 选项",
        virtualConnect : "Virtual Connect",
        useCredentialsAbove : "使用上面的凭证",
        userSshAuth : "用户 SSH 验证访问",
        useSnmp : "使用 SNMP",
        useWebem : "使用 WBEM",
        vmWareHost : "VMware 主机",
		vcOptions : "VC 激活选项",
        waitingforAssoc : "正在等待关联目标完成安装。",
        waitingforComp : "正在等待组件信息...",
        wednesday : "星期三",
        weekly : "每周",
        weeks : "周",
        xml : "XML",
        selectReportTypes : "选择报告类型",
        selectReportFormats : "选择报告格式",
        advancedReportOptions : "高级报告选项",
        runbackReport : "在后台运行",
        reportInProgress : "正在生成报告",
        runningReportInBack : "正在后台运行此项的报告生成过程: {0}。",
        runningReportInBackMulti : "正在后台为多个节点运行报告生成过程。",
        doneReportMulti : "为多个节点成功生成了报告",
        partialReportMulti : "为多个节点部分生成了报告",
        failedReportMulti : "未能为多个节点生成报告",
        referForReportStatus : "有关报告详细信息，请参阅“活动”屏幕或“报告中心”",
        doneReport : "已成功生成报告: {0}",
        failedReport : "无法生成报告: {0}",
        pleaseWait : "请稍候...",
        partialReport : "已部分生成报告: {0}",
        viewLogs: "查看安装日志",
        installationLogs : "安装日志",
        logDetails : "日志详细信息",
	nodeName : "节点",
        timeStamp : "生成时间",
        reportFormat : "格式",
        reportStatus : "状态",
        reportDelete : "是否删除?",
        completed : "已完成",
        partiallyCompleted : "已部分完成",
        inProgress : "正在进行",
        failed : "失败",
        firmWareType : "固件",
        installableType : "可安装",
        installedType : "已安装",
        failledDepencyType : "依赖项有故障",
        reportPath : "位置",
        noReports : "无报告可用",
        allReports : "报告中心",
        deleteReportConfirm : "是否继续删除报告?",
        viewDetails : "查看详细信息",
    },
    notLocalized : "FIXME: 未本地化",
    oneTouchUpdate : {
        actionTitle : "指导的更新",
        activeVersion : "活动版本",
        addBaselines : "选择基准",
        addBaselinesError : "无法获取结果",
        addNodes : "选择节点",
        addedNode : "添加的节点",
        advancedOptions : {
            dayOfEveryMonth : "每月中的一天",
            days : "日",
            downgrade : "降级",
            enableSchedule : "启用计划",
            enterRebootMessage : "输入重新引导消息",
            firmware : "固件",
            forceOptions : "全局强制选项",
            installOptions : "全局安装选项",
            ofEveryMonth : "每月中的",
            reboot : "全局重新引导选项",
            rebootDelay : "重新引导延迟(秒)",
            rebootDelayNotANumber: "请在此输入一个数字",
            rebootMessageLength : "消息最长为 255 个字符",
            rebootNodesAfterInstallation : "安装后重新引导节点",
            rebootOptions : "全局重新引导选项",
            recurEvery : "重复间隔",
            rewrite : "重写",
            schedule : "计划",
            scheduleOptions : "计划选项",
            software : "软件",
            title : "高级选项",
        },
        applicableComponents : "- 适用的组件",
        availableVersion : "可用的版本",
        analyze : "分析",
        baselineAdded : "已添加基准",
        baselines : "基准",
        component : "组件",
        componentDetails : "组件详细信息",
        componentDetailsFor : "组件详细信息: {0}",
        componentHelp : "组件帮助",
        componentLog : "组件日志",
        componentTitle : "组件标题",
        componentVersion : "组件版本",
        confirmAutoUpdate : "Continue with full automatic inventory and deploy all suggested updates on the system running HP SUM?",
        deployment : "部署",
        deploymentCompleted : "已完成部署",
        deploymentError : "部署错误",
        deploymentInProgress : "正在进行部署",
        deploymentLog : "部署日志",
        deploymentResults : "部署结果",
        deploymentStatus : "部署状态",
        deploymentSummary : "部署摘要",
        enterCredentials : "输入凭证",
        enterPassword : "输入密码",
        enterUserName : "输入用户名",
        failedToAddBaseline : "无法添加基准",
        failedToAddNode : "无法添加节点",
        family : "系列",
        force : "强制",
        forced : "强制",
        installedVersion : "安装的版本",
        interactive : "交互式",
        inventory : "清点",
        inventoryBaselineNode : "基准和节点清点",
        inventoryOfBaseline : "基准清点",
        inventoryOfNode : "节点清点",
        localhostOnly : "仅 localhost",
        log : "日志",
        manageBaselines : "添加基准",
        manageNodes : "添加节点",
        mode : "模式",
        moreDetails : "详细信息",
        multipleNodesBaselines : "多个节点/基准",
		noBaselineDefault : "未找到默认基准。",
        nodeInventoryAborted : "节点清点已中止",
        nodeDeployAborted : "已中止节点部署",
        nodes : "节点",
        nonInteractive : "自动",
        overview : "概述",
        packageStr : "软件包",
        password : "密码",
        reboot : "重新引导",
	never : "从未",
        reports : {
            csv : "CSV",
            description : "说明",
            failedDependencyDetails : "失败的依赖项详细信息",
            firmwareDetails : "固件详细信息",
            html : "HTML",
            installableDetails : "可安装项详细信息",
            installedDetails : "已安装项详细信息",
            overview : "概述",
            reports : "报告",
            type : "类型",
            xml : "XML",
        },
        review : "检查",
		select : "Select",
		selectComponents : "Select Components",
		selected : "Selected",
        selectModeTypeDeployment : "为 localhost 选择部署模式",
        statusStr : "准备继续",
        step : "步骤",
        title : "指导的更新",
        useCurrentCredentials : "使用当前凭证",
        useCurrentCredentialsHelp : "选择以使用当前凭证",
        userAborted : "用户已中止",
        userAbortedError : "在中止操作时出错",
        userName : "用户名",
        viewLog : "查看日志",
	tpmSummary : "注意: 已在系统中检测到 Trusted Platform Module (TPM)。",
	tpmWarning : "注意: 已在系统中检测到 Trusted Platform Module (TPM)。 如果恢复密钥不可用，未能执行正确的 OS 加密程序将导至资料丢失。 \
		      建议用于 Microsoft Windows (R) BitLocker (TM) 的过程是先“挂起”BitLocker，然后再刷写系统 ROM 或可选 ROM 固件。 \
		      如果没有恢复密钥或未挂起 BitLocker，请退出此刷写过程。 \
		      如果不遵循这些说明，将会导致无法访问您的数据。",
    },
    server : {
        addServer : "添加服务器",
        advancedMemoryProtection : "高级内存保护技术",
        cpu : "CPU",
        controller : "控制器",
        controllerFV : "控制器固件版本",
        defaultStr : "默认",
        defaultEnabled : "已启用默认设置",
        defaultOn : "默认开启",
        deviceWriteCache : "设备写入缓存",
        diskFV : "磁盘固件版本",
        driverVersion : "驱动程序版本",
        editSettings : "编辑设置",
        embeddedSataConfiguration : "嵌入式 SATA 配置",
        embeddedSerialPort : "嵌入式串行端口",
        intelAmdVirtualizationTechnology : "Intel/AMD 虚拟化技术",
        intelHyperthreadingOptions : "Intel 超线程选项",
        intelTurboBoostTechnology : "Intel 睿频加速技术",
        intelVtdAmdVi : "Intel VT-d/AMD-Vi (IOMMU)",
        manageBios : "管理 BIOS",
        managedByFusion : "由 Fusion 管理",
        memory : "内存",
        modified : "已修改",
        modifiedSettings : "修改的设置",
        msExchange : "Microsoft Exchange 2010 Gold，5000 个用户",
        nicFcHbaCna : "NIC/FC-HBA/CNA",
        noExecuteMemoryProtection : "通过不执行的方式保护内存",
        noSupportedNicFcHbaCnaFound : "找不到支持的 NIC/FC-HBA/CNA",
        noSupportedStorageArraysFound : "找不到支持的存储阵列",
        numlockPowerOnState : "NUMLOCK 开机状态",
        onlineSpareWithAdvancedEccSupport : "支持高级 ECC 的联机备用",
        npar: "nPar",
        optimizedForLowPower : "针对低耗电量优化 RM",
        optimizedForPerformance : "针对性能优化",
        processorOptions : "处理器选项",
        proliant : "Proliant BL460c G7，中间 1",
        sataControllerOptions : "SATA 控制器选项",
        serialNo : "序列号",
        serialPortConfiguration : "COM2；IRQ3；IO:2F8h-2FFh",
        serialPortOptions : "串行端口选项",
        serverType : "服务器类型",
        storage : "存储",
        systemOptions : "系统选项",
        systemRomVersion : "系统 ROM 版本",
        tbd : "TBD",
        virtualSerialPort : "虚拟串行端口",
        virtualSerialPortConfiguration : "COM1；IRQ4；IO:3F8h-3FFh",
    },
    shell : {
        serverFirmwareDistribution : "服务器固件分配",
        switchPortsInUse : "正在使用的交换机端口",
        terrabytesInUse : "正在使用的 TB",
    },
    switchUI : {
        activeFirmwareVersion : "活动固件版本",
        adapterPort : "适配器端口",
        added : "已添加",
        address : "地址",
        addressType : "地址类型",
        addSwitch : "添加交换机",
        allCategories : "所有类别",
        average : "平均值",
        bandwidthGbs : "带宽 GB/s",
        bitTransferRate : "位传输速率",
        connectionState : "连接状态",
        connectivity : "连接方式",
        connector : "接口",
        deleted : "{0}已删除",
        detailsTitle : "详细信息标题",
        devices : "设备",
        discoveredTime : "查找时间",
        doThis : "执行此操作",
        downlinks : "下行链路",
        ethernet : "以太网",
        extended : "扩展",
        fibreChannel : "光纤通道",
        flexNic : "Flex 网卡",
        hasStatus : "{0}有一个{1}。",
        identifier : "标识符",
        linkState : "链路状态",
        noConnectionsDiscovered : "找不到连接",
        networks : "网络",
        oui : "OUI",
        packetTransferRate : "数据包传输速率",
        partnerSwitch : "伙伴交换机",
        partNumber : "部件号",
        port : "端口",
        portDescription : "端口说明",
        portId : "端口 ID",
        portType : "端口类型",
        received : "已接收",
        receivedErrors : "已接收错误",
        remoteConnection : "远程连接",
        revision : "修订",
        serialNumber : "序列号",
        serverHardware : "服务器硬件",
        serverProfile : "服务器配置文件",
        speed : "速度",
        statistics : "统计信息",
        systemDescription : "系统说明",
        systemName : "系统名称",
        toFixIt : "要<b>修复</b>该问题， {0}",
        transmitErrors : "传输错误",
        transmitted : "已传输",
        transmittedErrors : "已传输错误",
        updated : "已更新",
        uplinks : "上行链路",
        vendor : "供应商",
        weHaveNoIdeaWhy : "我们不知道原因。",
        writtenFirmwareVersion : "写入的固件版本",
        wwn : "WWN",
    },
    task : {
        active : "活动",
        alerts : "警报",
        allTime : "全部时间",
        assign : "分配(TBD)",
        clear : "清除",
        cleared : "已清除",
        finished : "已完成",
        from : "起始",
        lastUpdated : "上次更新时间",
        mine : "我的",
        olderThan1Year : "1 年前",
        olderThan3Months : "3 个月前",
        pending : "挂起",
        resetToDefaults : "重置为默认设置",
        running : "正在运行",
        selectAll : "全选",
        source : "来源",
        specificDateRange : "具体日期范围",
        to : "结束",
        today : "今天",
        withinLastMonth : "过去一个月内",
    },
    integrityilo : {
 		haspendingupdate : "节点具有挂起的固件更新",
 		hasprevious : "{0}有等待激活的以前固件更新。",
 		activateorcancel : "激活或取消挂起的固件更新。",
 		activatepending: "激活挂起的",
 		pendingwarning: "直到激活或取消以前的固件更新，才能在节点上执行固件更新。",
 		activatependingfw: "激活挂起的固件更新",
 		activatependingWarning: "将会关闭节点上的操作系统并完成固件激活过程",
 		cancelpendingfw: "取消挂起的固件更新",
 		cancelpendingWarning: "警告: 这可能使系统中混合 iLO/系统固件，导致无法引导。 只有在要将此服务器升级到新版本时，才能使用此选项。",
 		doDeployDomain : "执行部署域",
        deployDomain: "部署域",
        rebootToActivate: "重新引导节点以激活固件",
        rebootNotNeeded: "不需要重新引导。 已关闭节点电源",
        activateOnNodeScreen: "节点具有挂起的固件更新。 可从节点屏幕中激活或取消挂起的固件更新",
    },
    sd2oa : {
    	partitions: "分区",
        noActivePartitions: "没有活动的分区。",
        noBladesUnassigned: "没有未分配的刀片。",
        noPartitions: "无分区可用。",
    	number: "编号",
    	installedFW: "安装的固件",
    	bay: "托架",
    	blades: "刀片",
    	vpars: "vPar",
    	cplxFW: "复杂固件",
    	parFW: "分区固件",
    	mismatch: "不匹配",
    	complexName: "复合固件名称",
    	complexVer: "复合固件版本",
    	fwBaseline: "固件基准",
    	serialNumber: "序列号",
    	cplxMismatchDetails: "复合固件不匹配情况的详细信息",
    	
    },
    ipdu : {
    	extbars: "延长杆",
    },
    title : "HP Smart Update Manager ",
    welcome : {
        baselinesDescription : "管理固件和系统软件基准",
        dashboardDescription : "基础结构中发生的情况概述",
        getStarted : "使用入门",
        nodesDescription : "管理、分析以及将更新部署到节点中",
        oneTouchUpdateDescription : "具有三个步骤的简化部署",
    },
    
    AbortConfirm : {
            title : "中止 {0}",
            dependencyHeader : "{0} 项依赖于 {1}",
            prompt : "是否继续删除?",
            ok : "是，中止"
	},
	
	RebootConfirm : {
            title : "重新引导",
            dependencyHeader : "{0} 项依赖于 {1}",
            errorReboot : "执行重新引导操作时出错。",
            node : "节点已重新引导。",
            prompt : "是否确实要重新引导这些节点?",
            ok : "是，重新引导"
	},
	confirmation : {
            title : "确认",
            dependencyHeader : "{0} 项依赖于 {1}",
            prompt : "是否确实要继续执行选定的操作?",
            promptDeploy : "是否确实要继续进行部署?",
            ok : "是，继续"
	},
	logout : {
            logoff : "注销 - 当前用户。",
            shutdown : "关闭 - 此选项将关闭 HP SUM 服务。",
            title : "注销/关闭"
           },
    linuxAccess : {
           useAdminCredentials: "Use administrator credentials",
           useSudoWithCredentials: "Use sudo with credentials entered above",
           useSuperUserCredentials: "Use super user credentials"
       }
};});
