// (C) Copyright 2012 Hewlett-Packard Development Company, L.P.
define([], function() {"use strict";
return {
    baseline : {
        add : {
        	availableBundles: "利用可能なWebバンドル",
            title : "ベースラインを追加",
            enterDirectory : "ディレクトリパスを入力",
            enterWorkingDirectory : "ディレクトリパスを入力",
            enterURIPath  : "ベースラインのURIを入力",
            baselineAdded: "新しいベースラインは、正常に追加されました",
            browseText: "コンポーネントのベースラインがある位置を、一覧または手動でディレクトリパスを入力してください",
            browsePFWText: "利用可能なWebバンドルリストおよび、hp.comからダウンロードされるコンポーネントを格納可能な場所を、一覧または手動でディレクトリパスを入力してください",
            getList: "一覧を取得",
            locationAdded: "新しい位置は、正常に追加されました",
            locationType : "位置のタイプ",
            locationDetails : "位置の詳細",
            scheduleInformation : "スケジュール情報および繰り返しオプション",
            selectLocation : "位置のタイプを選択",
            local :"HP SUMサーバーパスを参照",
            unc :"UNCパス(例、\\\\host\\dir )",
            http :"HTTP",
            ftp :"hp.comからダウンロード" ,
            enableSchedule: "Webからのダウンロードをスケジュールしますか?",
            port : "ポート",
            proxySettings : "プロキシ設定",
            proxyOptions: "プロキシオプション",
            proxyServer: "プロキシサーバー",
            proxyuser : "ユーザー名",
            proxypasswd: "パスワード",
            scheduleDatetime : "スケジュールの日時を選択してください",
            scheduleType : "繰り返しのパターン",
            daily : "毎日",
            weekly : "毎週",
            monthly : "毎月",
            onetime : "一度",
            noProxyNeeded: "プロキシ必要なし",
            none : "なし",
            selectBundles: "hp.comから利用可能なベースラインの1つを選択してください 注記: コンポーネントが、hp.comから最初のリリースのWebバンドルの掲載が取りやめられた場合、このWebバンドルはhp.comからダウンロードされません。SPPのサイズのバンドルのダウンロードは完了までに数分以上かかります。ダウンロードの進行をベースラインのページでモニターしてください。",
            scheduleRecurring : "定期的",
            script : "スクリプト",
            url : "アドレス",
            usehp : "hp.comを使用",
            useScript : "プロキシスクリプト",
            username : "ユーザー名を入力してください",
            password : "パスワードを入力してください",
            inValidLocation: "有効な位置を入力してください!",
            addInProgress: "ベースラインの追加が進行中です。お待ちください...",
            retrieveInProgress : "Webバンドルの一覧を取得中です。お待ちください..."
        },
        addBaseline : {
            configured : "構成済み",
            description : "説明",
            id : "ID",
            select : "ベースラインを選択",
            system : "システム"
        },
        custom : {
            add : "追加...",
            advancedFilters : "アドバンストフィルター",
            applyfilters : "フィルターを適用",
            applyfiltersHelp : '選択されたベースラインのソースでフィルターを適用。フィルターされたコンポーネントは、以下に表示されます',
            applyfiltersError : '選択されたベースラインのソースがありません。1つまたはそれ以上のベースラインのソースを選択してください',
            architecture : "アーキテクチャー",
            arrayctrl : "アレイコントローラー",
            baselines : "ベースライン",
            bootableiso : "ブート可能なISO",
            bootableisoHelp : "ブート可能なカスタムベースラインISOを作成するにはこのオプションを選択してください。このベースラインには、ソースISOに入っているHPSUMのバイナリファイルとコンポーネント群が含まれます",
            bootableisoHelpLinux : "UEFI上でブート可能なISOを作成するには、xorrisofsがシステムにインストールされていなければなりませんが、そうでなければ作成されたISOはレガシBIOSベースのシステム上でのみ起動可能になります。",
            both : "両方",
            comptype : "コンポーネントのタイプ",
            createBaseline : "カスタムベースラインの作成",
            createCBLMsg : "カスタムベースラインを作成中",
            createCBLMsgSuccess : "カスタムベースラインの作成リクエストは、正常に受理されました",
            createCBLMsgError : "カスタムベースラインの作成に失敗しました",
            createiso : "ISOの作成",
            criticalUpdates : "クリティカルアップデート",
            description : "説明",
            descriptionError : "説明エラー: ",
            descriptionRequired : "カスタムベースラインの説明が必要です。",
            descriptionValidationMsg : "英数字、ハイフンまたはアンダースコアのみ入力してください。",
            deviceType : "デバイスタイプ",
            dl360 : "DL360",
            dl380 : "DL380",
            fcHbaCna : "FC HBA/CNA",
            fcswitches : "ファイバーチャネルスイッチ",
            filters : "ステップ 2 - フィルター",
            firmware : "ファームウェア",
            harddrive : "ハードディスクドライブ",
            ilo : "iLO",
            isolocation : "ソースISOの位置",
            isolocRequired : "要求されるソースISOの位置",
            isolochelp : "これは、SPPのISOファイルをマウントした場所またはSPPのISOファイルの内容を解凍した場所です。ブート環境およびHP SUMはここから取り出します。",
            maxlen : "可能な最大長 ",
            name : "ベースライン名",
            nic : "NIC",
            oa : "OA",
            optionalUpdates : "オプションアップデート",
            osType : "OSタイプ",
            osTypes : {
                rhel5 : "RHEL 5",
                rhel6 : "RHEL 6",
                sles10 : "SLES 10",
                sles11 : "SLES 11",
                vmwareEsxi50 : "VMware vSphere 5.0",
                vmwareEsxi51 : "VMware vSphere 5.1",
                vmwareEsxi55 : "VMware vSphere 5.5",
                windows2003R2 : "Windows 2003 R2",
                windows2008 : "Windows 2008",
                windows2008R2 : "Windows 2008 R2",
                windows2012 : "Windows 2012",
                windows2012R2 : "Windows 2012 R2"
            },
            outputDirWarning: "警告: 出力ディレクトリのすべての存在するファイルは、ベースラインが作成されるときに削除されます。",
            noBaselinesAvailable : "使用可能なベースラインがありません!",
            noMatchingComponents : "一致しているコンポーネントが見つかりません!",
            overview : "概要",
            populateComponentOsMsg : "詳細なOSのコンポーネントを取り込んでいます。お待ちください...",
            populateComponentOsErrorMsg : "詳細なOSのコンポーネントを取り込んでる間にエラーが発生しました。エラー: ",
            populateSourcesMsg : "ソースを取り込んでいます。お待ちください...",
            populateSourcesErrorMsg : "ソースを取り込んでいる間にエラーが発生しました。エラー: ", 
            recommendedUpdates : "推奨されるアップデート",
            remove : "削除",
            retrieveCompMsg : "コンポーネントを検索中",
            retrieveCompMsgDone : "コンポーネントの検索が完了",
            retrieveCompMsgError : "コンポーネントを検索中にエラー",
            review : "ステップ 3 - レビュー",
            runinback : "バックグラウンドで実行",
            runinbackHelp : "バックグラウンドでカスタムベースラインを作成。ステータスは、アクティブ画面で使用可能です",
            saveBaseline : "ベースラインの保存",
            sasswitches : "SAS BLスイッチインターコネクト",
            server : "サーバー",
            software : "ソフトウェア",
            sources : "ステップ 1 - ベースラインのソース",
            storage : "ストレージ",
            systemrom : "システムROM",
            tape : "テープ",
            targetlocation : "ターゲットの位置",
            targetlocRequired : "要求されるターゲットの位置",
            unknown : "不明",
            validationErrorMsg : "検証エラー - フィールドの値が必要",
            vc : "Virtual Connect (VC)",
            version : "バージョン:",
            versionError : "バージョンエラー: ",
            versionRequired : "バージョンが必要",
            versionValidationMsg : "数値のみ入力してください。",
            x64 : "x64",
            x86 : "x86",
            versionHelp: "バージョンの識別子です。1つまたは2文字のバージョンを入力してください(例: 00, 01, a1, 1A)",
            versionIdentifierError: "1つまたは2文字のバージョン識別子を入力してください。"
        },
        start_inventory : "インベントリの開始",
        schedule_download : "ダウンロードをスケジュール",
        download_now : "今すぐダウンロード",
        starting_download : "ダウンロードの開始", 
        compDownloadInProgress : " コンポーネントのダウンロードが進行中です",
        locations : "位置",
        nodeInventoryFailed : "ノードインベントリが失敗",
        nodeInventoryInProgress : "ノードインベントリが進行中",
        selectLocation : "有効なベースラインの位置を選択してください。",
        show : {
            allBaselinesSelected : "選択できるベースラインがありません。",
            addFromMedia : "追加",
            component : "コンポーネント",
            componentHelp : "コンポーネントヘルプ",
            componentTitle : "コンポーネントタイトル",
            componentVersion : "コンポーネントバージョン",
            componentConfig : "コンポーネントの構成",
			componentConfigError: "このコンポーネントの構成の値を保存中にエラーが発生しました。HP SUM以外でこのコンポーネントの構成を行ってください",
            componentConfigFor : "コンポーネントの構成: {0}",
	    configuration : "構成",
            createCustom : "カスタムを作成",
            criticality : "緊急度",
            enhancements : "拡張",
            fixes : "修正",
            inventoryCompleted : "インベントリ完了",
            inventoryError : "インベントリエラー",
            downloadNeeded : "ダウンロードは、処理を完了するために必要です。",
            inventoryNeeded : "インベントリの必要性",
            inventoryInProgress : "インベントリ進行中",
            name : "名前",
            needConfig : "構成が必要",
            noComponentsFound : "ローディングまたはインベントリ進行中",
            parDesc : "パラメーターの説明",
            parName : "パラメーター名",
            releaseDate : "リリース日付",
            revisionHistory : "リビジョンの履歴",
            subType : "サブタイプ",
            totalComponents : "トータルコンポーネント",
            type : "種類",
            value : "値",
            yesDelete : "はい、削除します"
        },
        storageRemaining : "残りストレージ",
        version : "バージョン"
    },
    common : {
        abort: "中止",
        actions: "アクション",
        activity : "アクティビティ",
        add : "追加",
        addNote : "ノートを追加",
        addPlus : "追加 +",
        added : "追加済み",
		addSingleNode : "IP/DNS名で単一ノードを追加",
		addType : "追加するタイプを選択",
        all : "全て",
        allLabels : "全てのラベル",
        allStates : "全ての状態",
        allStatuses : "全ての状態",
        allTypes : "全てのタイプ",
        always : "常時",
        apply : "適用",
        assignAlert : "割り当てアラート",
        associatedDevices : "関連するデバイス",
		associatedservers : "デバイスベイ",
		associatedswitches : "インターコネクトベイ",
        back : "戻る",
        bandwidth : "バンド幅",
        baseline : "ベースライン",
        baselines : "ベースライン ライブラリ",
        baselineToApply : "適用するベースライン",
        bios : "BIOS",
        browse : "一覧",
        cancel : "キャンセル",
        category : "カテゴリ",
        clearAlert : "アラートのクリア",
        close : "閉じる",
        collapseContent : "内容を閉じる",
        connections : "接続",
        continueWithAbort : "中断しますか?",
        continueWithDelete : "削除しますか?",
        credentials : "認証情報",
        daily : "毎日",
        dashboard : "ダッシュボード",
        date : "日付",
        days : {
            friday : "金曜日",
            monday : "月曜日",
            saturday : "土曜日",
            sunday : "日曜日",
            thursday : "木曜日",
            tuesday : "火曜日",
            wednesday : "水曜日"
        },
        deleteAlert : "アラートの削除",
        deleteArg : "{0}を削除",
        deleteStr : "削除",
        dependencyHeader : "{0}アイテムは {1}に依存しています",
        description : "説明",
        details : "詳細",
        disabled : "無効",
        doActionInventory : "完全な詳細を取得するためのインベントリ",
        doInventory : "インベントリ",
        download : "ダウンロード",
        edit : "編集",
        enabled : "有効",
        enclosure : "エンクロージャー",
        enterAdministratorCredentials : "管理者の認証情報を入力",
    	enterRootCredentials : "コンポーネントをアップデートするためにスーパーユーザーの認証情報を入力してください。",
        error : "エラー",
        every : "毎回",
	exit : "終了",
        F_VMWARE_NIC_DISC_ERR_MSG : "VMwareノードのインベントリは、NIC情報を読み込み中に失敗しました。",
        F_VMWARE_FCHBA_DISC_ERR_MSG : "VMwareノードのインベントリは、FCHBA情報を読み込み中に失敗しました。",
        F_VMWARE_ILO_DISC_ERR_MSG : "VMwareノードのインベントリは、iLO情報を読み込み中に失敗しました。",
        F_VMWARE_OS_DISC_ERR_MSG : "VMwareノードのインベントリは、オペレーティングシステム情報を読み込み中に失敗しました。",
        F_VMWARE_SYSHW_DISC_ERR__MSG : "VMwareノードのインベントリは、システムのハードウェア情報を読み込み中に失敗しました。",
        F_VMWARE_GENERAL_DISC_ERR_MSG : "VMwareノードのインベントリは、ハードウェア/オペレーティングシステム情報の読み込み中に失敗しました。",
        F_VMWARE_SA_DISC_ERR_MSG : "VMwareノードのインベントリは、Smartアレイの情報を読み込み中に失敗しました。",
        F_VMWARE_PCI_DISC_ERR_MSG : "VMwareのノードのインベントリは、PCI情報を読み込み中に失敗しました。",
        F_VMWARE_MSG : "ネットワークの接続を確認し、VMwareノードのHP WBEM Providerのステータスを確認してください。",
        F_VMWARE_SECOND_MSG : "上記を確認後、 {0}",
        F_VMWARE_SELF_DISC_DNL_ERROR_MSG : "VMwareノードのインベントリはダウンロードに失敗しました。",
        failedComponents : "コンポーネント",
        fieldRequired : "入力必須のフィールドです。",
        filter : "フィルター",
        filters : "フィルター",
		find : "ノードの検索",
		findNodesWithIPRange : "IPの範囲でネットワーク上のノードを検出",
        firmwareBaseline : "ファームウェアベースライン",
        firmwareVersion : "ファームウェアバージョン",
        first : "1番目",
        fourth : "4番目",
        general : "一般",
        group : "グループ",
        help : "ヘルプ",
        hpux : "HP-UX",
        ifNeeded : "必要な場合",
        ilo : "iLO",
        important : "重要",
        installationNotes : "インストールノート",
        ipDns : "IP/DNS",
        ipdu : "iPDU",
        label : "ラベル",
        languages : "言語",
        last : "最後",
        linux : "Linux",
		linuxcredentials : "アクセスレベル",
		linuxcredentialsApplicable : "アクセスレベル(現在の認証情報では使用することができません。管理者の認証情報のみ適用可能です)",
        loading : "ロード中...",
        local : "ローカル",
        locationStr : "位置",
		loggedIn : "ログイン済み",
        logout : "ログアウト",
        ManagementSWat : "マネジメントソフトウェアは、以下の場所からアクセスできます: {0}",
        message : "メッセージ",
        model : "モデル",
        more : "さらに",
        name : "名前",
        next : "次へ",
        no : "いいえ",
        yes: "はい",
        noAssociatedDevicesFound : "関連付けられたデバイスはありません。",
        nodes : "ノード",
		noderange : "ノード範囲",
        oa : "OA",
        ok : "OK",
		oddeven: "奇数偶数",
        serial: "シリアル",
		parallel: "パラレル",
        oneTouchUpdate : "Localhostガイドアップデート",
        operatingSystems : "オペレーティングシステム",
        os : "OS",
        overview : "概要",
        password : "パスワード",
        progress : "進行",
        previous : "前へ",
        query : "?",
        questionMark : "?",
        reboot : "再起動",
        reenterCredentials : "認証を再入力",
        related : "関連",
        reset : "リセット",
        resetAll : "全てをリセット",
        retry : "再試行",
        save: "保存",
        saveAs : "名前を付けて保存",
        scoutingDevice : "デバイスを調査中 ...",
        search : "検索",
        second : "2番目",
        selectOption : "オプションの選択",
        server : "サーバー",
        servers : "サーバー",
        session : "セッション",
        staging : "ステージング",
        start : "開始",
        startOver : "最初からやり直す",
        state : "状態",
        statusStr : "状態",
        strDelete : "削除",
        switchStr : "スイッチ",
        switches : "スイッチ",
        tasks : "アクティビティ",
        the : " ",
        third : "3番目",
        time : "時間",
        type : "種類",
        undefinedStr : "未定義",
        unknown : "不明",
        uploads : "アップロード",
        useCurrentCredentials : "現在の認証情報を使用 (ノードと既存の信頼関係が必要)",
        user : "ユーザー",
        username : "ユーザー名",
		useSudoCredentials : "コンポーネントをアップデートするためにsudoを使用",
        utilization : "利用率",
        version : "バージョン",
        viewAllActivity : "すべてのアクティビティを参照",
        warning : "警告",
        weekly : "毎週",
        weeks : "週",
        welcome : "HP Smart Update Managerへようこそ",
        windows : "Windows",
        yesDelete : "はい、削除します",
        unsupportedBrowser : "警告: ご使用のブラザーは、HP SUMによって公式にサポートされていません。一部の機能が適切に動作しない可能性があります。サポートされるブラウザーは、Internet Explorer 8またはそれ以降、Firefox 17(Linux)/18(Windows)またはそれ以降、Chrome 24またはそれ以降です",
        unsupportedBrowserVersion : "警告: ご使用のブラザーのバージョンは、HP SUMによって公式にサポートされるバージョンを下回っています。サポートされるブラザーは、Internet Explorer 8またはそれ以降、Firefox 17(Linux)/18(Windows)またはそれ以降、Chrome 24またはそれ以降です",
        unknownNodeError : "サポートされるノードタイプとしてノードを認識することができません。ノードがサポートされていること、ネットワーク上で到達可能なことと認証情報が正しいことを確認して、インベントリを再スタートしてください。",
        minimumResolutionWarning: "HP Smart Update Managerのすべての機能を確実に利用するためには、最小で1024 x 768の画面の解像度を推奨します。"
    },
    dashboard : {
        age : "経過時間",
        sinceLastMonth : "先月から",
        sinceLastWeek : "先週から",
        sinceYesterday : "昨日から",
        totals : "合計"
    },
    enclosure : {
        addEnclosure : "エンクロージャーの追加",
        deviceType : "デバイスの種類",
        deployEnclosure : "エンクロージャーの展開",
        embedded : "内蔵",
        ended : "終了済み",
        expected : "予想済み",
        hostnameOrIpAddress : "ホスト名またはIPアドレス",
        link : "リンク",
        longModelDescription : "正式モデル名",
        matrixEnabled : "CloudSystem Matrix有効",
        matrixVersion : "CloudSystem Matrixバージョン",
        measured : "計測済み",
        notes : "ノート",
        started : "開始済み",
        units : "ユニット",
        usage : "使用方法"
    },
    host : {
        addVmHost : "VMホストの追加",
        connectionError : "{0}との通信に問題が発生しました。もう一度やり直してください。",
        history : "履歴",
        memoryAlloc : "メモリ割り当て済み",
        sortBy : "並べ替え",
        storageAlloc : "ストレージ割り当て済み",
        vCoreAlloc : "vCore割り当て済み",
        uptime : "稼働時間",
        vmHosts : "VMホスト",
        vms : "VMs"
    },
    menu : {
        deploymentTypes : "展開のタイプ",
        enclosures : "エンクロージャー",
        sources : "オプション",
        vmHosts : "VMホスト",
        welcome : "ホーム",
        general : "一般",
        pageTypes : "展開のタイプ",
        dashboard : "ダッシュボード",
        node : "ノード",
    	ilo : "iLO",
        vc: "Virtual Connect",
        ipdu : "Intelligent Power Distribution Units (iPDU)"
    },
    group: {
    	groups : "グループ",
    	addGroup : "グループの追加",
    	addNew: "新しいグループの追加",
    	general: "一般",
    	groupName: "グループ名",
    	enterGroupName : "グループ名を入力してください",
    	groupDescription: "グループの説明",
    	description: "説明",
    	groupStatus: "グループのステータス",
    	selectNodes: "ノードの選択",
    	name: "名前",
    	type: "タイプ",
    	addNode: "新しいノード",
    	addNewNode: "新しいノードの追加",
    	edit: "グループの編集",
    	noMoreNodesAvailable : "これ以上使用可能なノードがありません",
    	noNodesInGroup : "グループにノードがありません",
    	groupAlreadyExists: "入力されたグループ名がすでに存在します",
    	status: "ステータス",
    	addNodesToGroup: "グループにノードを追加",
    	removeNodesFromGroup: "グループからノードを削除",
    	editCredentials: "グループ認証情報の変更",
    	requiredUserName: "パスワードと共に必要なユーザー名",
    	requiredPassword: "ユーザー名と共に必要なパスワード",
    	editedGroup: "編集済みのグループ",
    	groupNodes: "グループノード",
    	nodeName: "ノード名",
    	groupInitSummary: "グループの初期化が進行中です",
    	groupNoNodesSummary: "グループにノードがありません",
    	groupInActiveSummary: "グループが非アクティブです",
    	groupInActiveDetails: "非アクティブノードをアクティベート/削除してください",
    	groupErrorSummary: "グループにエラーが発生しました",
    	groupErrorDetails: "グループには、エラーのノードがあります",
    	groupScoutingSummary: "調査が進行中です",
    	readyForInventory: "インベントリを開始する準備ができました",
    	startInventory: "インベントリの開始",
    	inventory: "インベントリ",
    	inventoryGroup: "インベントリグループ",
    	selectedBaseline: "現在選択されたベースライン",
    	selectBaseline: "ベースラインを選択してください",
    	currentlySelectedBaseline: "このグループに現在選択されたベースライン",
    	currentBaselineSelected: "現在のベースラインが選択されました",
    	additionalPackageSelected: "選択された追加パッケージ",
    	selectBaselineInventory: "インベントリで使用するベースラインを選択してください。",
    	baselines: "ベースライン",
    	additionalPackage: "追加パッケージ",
    	groupBaseLines: "グループベースライン",
    	inventoryProgress: "インベントリが進行中です",
    	selfInventoryProgress: "セルフインベントリが進行中です",
    	startInventoryAgain: "インベントリを再度開始してください",
    	inventoryError: "インベントリエラー",
    	readyForDeploy: "展開を開始する準備ができました",
    	startDeploy: "展開の開始",
    	analysisProgress: "分析が進行中です",
        analysisProgressPW: "分析が進行中です。お待ちください...",
        applicableComps: "該当するコンポーネントは、分析後に展開を開始します。",
    	deployProgress: "展開が進行中です",
    	noApplicableComp: "グループは、最新です。該当するコンポーネントが見つかりませんでした", 
    	deployGroup: "グループの展開",
    	deployErrorSummary: "展開エラー",
    	deployHoldSummary: "展開が保留しています",   	
    	deployDone: "展開の終了",
    	deployStarted: "展開が開始されました",
    	deletedGroup: "削除されたグループ",
    	deleteConfirm: "グループの削除を続行しますか?",
    	abortConfirm: "グループの中止を続行しますか?",
    	yesAbort: "はい、中止します",
    	abortedGroup: "グループを中止しました"
    },
    node : {
        abortActionSuccessful : "中断は成功しました",
        abortFor : "中断: {0}",
        abortInProgress : "中断は進行中 ...",
        abortInstallFor : "インストールの中断: {0}",
        activeProcess: "アクティブなアップデート処理がリモートノードで検出された場合、HP SUMは次を行う必要があります",
        activeVersion : "アクティブバージョン",
		ActivationOrder: "アクティベーションの順序",
		activationDelay: "アクティベーションの遅延",
		addassociatednodes : "関連付けられたノードの自動追加",
		addBaselineOptional : "(オプション)すでに追加およびインベントリされたベースラインおよび/または追加のパッケージをこのノードに適用するために選択してください。追加していない場合、ベースラインまたは追加のパッケージは、このノード上でインベントリが開始した時に指定されなければなりません。",
		addBaselineMandatory : "すでに追加およびインベントリされたベースラインおよび/または追加のパッケージをこのノードに適用するために選択してください。",
        associatedNodeDetails : "関連付けられたノードの詳細",
        additionalPackages : "追加のパッケージ",
        addNew : "新しく追加",
        addNode : "ノードの追加",
		addnodes : "ノードの追加",
        addedNodes : "追加されたノード",
        agentlessManagementService : "Agentless Management Service",
        always : "常時",
        analysis : "分析",
        applicableComponents : "適用可能なコンポーネント",
        assignTo : "割当先",
        availableNodes : "利用可能なノード",
        availableVersion : "利用可能なバージョン",
        cannotDelete : "ローカルホストは削除できません!",
        close : "閉じる",
        componentDetails : "コンポーネントの詳細",
        compFailedDep : "失敗した依存関係を持つコンポーネントが選択されました",
        compSelect : "{0}コンポーネントを選択",
        compSelectZero : "0 コンポーネントを選択",
        cpuSockets : "CPUソケット",
        csv : "CSV",
        currentBaselineSelected : "選択されたベースライン",
        currentlySelectedBaseline : "現在このノードに対して選択されたベースライン",
        currentStatus : "現在のステータス",
        daily : "毎日",
        dayOfEveryMonth : "毎月の日付",
        days : "日数",
        deploy : "展開",
        descriptionPlaceholder : "プレースフォルダーの説明",
        doActionDeploy : "展開の準備ができました。展開します",
        doDeploy : "展開",
        dummyIpAddress : "99.99.99.240",
        duplicateNode : "このノードはすでに追加されています",
        enableSchedule : "スケジュール有効",
        enterAssociatedOADetails: "関連付けられたOnboard Administratorの詳細を入力",
        enterPartnerIpduDetails: "パートナーiPDUの詳細を入力",
        enterRebootMessage : "再起動メッセージを入力してください",
        errorPleaseSelectBaseline : "エラー - ベースラインを選択",
        estimatedDeploymentTime : "予想される展開時間: 15分",
		EnetOrder : "VC Ethernetモジュールのアクティベーションの順序",
		EnetDelay :"VC Ethernetモジュールのアクティベーションの遅延",
		FCDelay: "VC FCモジュールのアクティベーションの遅延",
        every : "毎回",
        failedAnalysis : "分析が失敗しました。",
        failedDependencyDetails : "失敗した依存性の詳細",
        family : "ファミリ",
        fibreChannelSwitch : "ファイバーチャネルスイッチ",
        filteringIsInProgressPleaseWait: "コンポーネントをフィルター中です。お待ちください...",
        firmwareDetails : "ファームウェア詳細",
        first : "1番目",
		FCOrder: "VC FCモジュールのアクティベーションの順序",
        forceOptions : "強制オプション",
        forceOptionFirmware : "ファームウェア - 古いファームウェアコンポーネントの選択を許可",
        forceOptionMessage  : "ソフトウェアおよびファームウェアの強制オプションは、ダウングレードおよび/または再書き込みのオプションと組み合わせて使用​​する必要があります。",
        forceOptionSoftware : "ソフトウェア - 古いソフトウェアコンポーネントの選択を許可",
        forceOptionsCanBeAppliedTo : "適用を強制します ",
        fourth : "4番目",
        friday : "金曜日",
        generate : "生成",
        hpSasBlInterconnectSwitch : "HP SAS B/Lインターコネクトスイッチ",
        html : "HTML",
        ifNeeded : "必要な場合",
        iloHpCom : "ilo.hp.com",
        installableDetails : "展開プレビュー",
        installDone : "インストールは終了しました。",
        installDoneWithErrors: "インストールはエラーで終了しました",
        installDoneSee : "インストールは終了しました。詳しい情報については、コンポーネントのログを参照してください。",
        installDoneSeeErrors : "インストールはエラーで終了しました。詳しい情報については、コンポーネントのログを参照してください。",
        installProgress : "インストールは進行中",
        installationOptionDowngrade : "ダウングレード - すでにインストールされたコンポーネントより古いバージョンへのダウンロードを許可",
        installationOptionRewrite : "再書き込み - すでにインストールされたコンポーネントと同じバージョンの上書きを許可",
        installationOptions : "インストールオプション",
        installedDetails : "インストールされた詳細",
        installedVersion : "インストールされたバージョン",
        installing : "インストール中",
        intelligentPowerDistributionUnit : "Intelligent Power Distribution Unit (iPDU)",
		invalid : "無効なIPアドレスまたは範囲指定",
        inventory : "インベントリ",
        inventoryInProgress : "インベントリ進行中",
		ip : "IPアドレス",
        ipCannotBe : "IPは次ができませんでした",
		ipend : "IP終了アドレス",
		ipstart : "IP開始アドレス",
        keyPemForSshAuth : "SSH認証情報アクセスのためのPEMキー",
        last : "最終",
        leaveAlone :"アップデートを実行中のままにし、ノードをバイパスしてください",
        monday : "月曜日",
        monthly : "毎月",
        needAssociatedOADetails: "インベントリを続行するためには、関連付けられたOnboard Administratorの認証情報が必要です",
        needAssociatediPDUDetails: "インベントリを続行するためには、パートナーiPDUの認証情報が必要です",
        no : "いいえ",
        noAddedNodes : "追加されたノードはありません!",
        noApplicableComponentsFound : "適用可能なコンポーネントが見つかりません",
        noFoundNodes : "ノードが見つかりませんでした!",
        noItemsFound : "アイテムが見つかりませんでした!",
        firewallBlocking : "HPSUMを実行しているシステムとリモートノードの間でファイアウォールがHTTP/FTPトラフィックをブロックしていないことを確認してください。",
        noAssociatedNodes : "関連付けられたノードが見つかりませんでした!",
        noBaselineAvailable : "展開を続行するために使用可能なベースラインがありません。",
        noBaselineDefined : "ベースラインが定義されていません",
        nodeDetails : "ノードの詳細",
        nodeInventoryInProgress : "ノードインベントリが進行中です...",
        nodesPopulatedAfterSearch : "ノードは、検索後にリストされます。",
        nodeUpToDate : "ノードはアップデート済みです",
		node_name : "DNSターゲット名",
        nodeNotReady : "ノードは展開の準備ができていません。",
        none : "なし",
        notValidIpOrDns : "有効なIP(IPv4/IPv6)またはDNSではありません",
        ofEveryMonth : "毎月",
        onboardAdministrator : "Onboard Administrator",
        one : "1番目",
        osManagementOptions : "OSマネジメントオプション",
        phase : "フェーズ",
        pleaseSelectCorrectNode : "正しいノードを選択してください。",
        proliantBl460cG7 : "ProLiant BL460c G7",
        readyForDeploy : "展開の準備ができました。",
        rebootAndForceOptions : "再起動および強制オプション",
        rebootDelay : "再起動遅延 (秒)",
        rebootMessage : "展開後のユーザーリクエストによる再起動",
        rebootMessageLength : "メッセージは最大255文字",
        rebootOptions : "再起動オプション",
        rebootSystemAfterInstallation : "インストール後にシステムを再起動",
	rebootRequired : "インストール後に再起動が必要です",
	nodeRebooted : "ノードは再起動されました",
        recurEvery : "毎回",
        replaceSession: "ノード上で現在実行しているアップデート処理を停止し、このセッションから最新版に交換してください",
        reports : "レポート",
        reportsDesc : "レポートの説明 (未定)",
        required : "必須",
        reviewDeploy : "レビュー/ 展開",
        reviewAndDeploy: "レビューおよびアップデートの展開",
        saturday : "土曜日",
        sd2HasErrors : "SD2は、FW分析のエラーがあります。詳細は展開画面を確認してください。",
        sd2HasWarnings : "SD2は、FW分析の警告があります。詳細は展開画面を確認してください。",
        scanning : "スキャン中",
        schedule : "スケジュール",
        scheduleNodes : "スケジュールされたノード",
        scheduleOverviewDesc : "アップデートは、以前選択されたノードまたは、グループに対してスケジュールされます。時刻はタイムゾーンに関係しています",
        searchIsInProgressPleaseWait : "検索が進行中です。お待ちください...",
        second : "秒",
        selectBaseline : "このノードに関連付けるベースラインを選択",
        selectBaseline2 : "使用するインベントリのベースラインを選択",
        selectType : "タイプを選択",
        serial : "シリアル",
        servers : "{0} サーバー",
        start : "開始",
        sunday : "日曜日",
		superdome2onboardAdministrator : "Superdome 2 Onboard Administrator",
        the : " ",
        third : "3番目",
        three : "3番目",
        thursday : "木曜日",
        tuesday : "火曜日",
		type : "ノードタイプ",
        two : "2番目",
        vcOptionstitle:"Virtual Connectのオプション",
        virtualConnect : "Virtual Connect",
        useCredentialsAbove : "上記の認証情報を使用",
        userSshAuth : "ユーザーSSH認証アクセス",
        useSnmp : "SNMPを使用",
        useWebem : "WBEMを使用",
        vmWareHost : "VMwareホスト",
		vcOptions : "VCアクティベーションのオプション",
        waitingforAssoc : "関連付けられているターゲットのインストールが終了するのを待っています。",
        waitingforComp : "コンポーネント情報を待っています...",
        wednesday : "水曜日",
        weekly : "毎週",
        weeks : "週",
        xml : "XML",
        selectReportTypes : "レポートタイプの選択",
        selectReportFormats : "レポート形式の選択",
        advancedReportOptions : "高度なレポートオプション",
        runbackReport : "バックグランドで実行",
        reportInProgress : "レポートの生成が進行中",
        runningReportInBack : "バックグラウンドでレポートの生成を実行しています: {0}。",
        runningReportInBackMulti : "バックグラウンドで複数ノードのレポートの生成を実行しています。",
        doneReportMulti : "複数ノードのレポートは、正常に生成されました。",
        partialReportMulti : "複数ノードのレポートは、部分的に生成されました。",
        failedReportMulti : "複数ノードのレポートは、生成に失敗しました",
        referForReportStatus : "詳細なレポートについては、アクティブ画面またはレポートセンターを参照してください。",
        doneReport : "レポートは正常に生成されました: {0}",
        failedReport : "レポートは生成に失敗しました: {0}",
        pleaseWait : "お待ちください...",
        partialReport : "レポートは部分的に生成されました: {0}",
        viewLogs: "インストールログの参照",
        installationLogs : "インストールログ",
        logDetails : "ログの詳細",
	nodeName : "ノード",
        timeStamp : "生成",
        reportFormat : "形式",
        reportStatus : "ステータス",
        reportDelete : "削除しますか?",
        completed : "完了しました",
        partiallyCompleted : "部分的に完了しました",
        inProgress : "進行中",
        failed : "失敗しました",
        firmWareType : "ファームウェア",
        installableType : "インストール可能",
        installedType : "インストール済み",
        failledDepencyType : "失敗した依存関係",
        reportPath : "位置",
        noReports : "レポートを使用できません",
        allReports : "レポートセンター",
        deleteReportConfirm : "レポートの削除を続行しますか?",
        viewDetails : "詳細の参照"
    },
    notLocalized : "FIXME: NOT LOCALIZED",
    oneTouchUpdate : {
        actionTitle : "Localhostガイドアップデート",
        activeVersion : "アクティブなバージョン",
        addBaselines : "ベースラインを選択",
        addBaselinesError : "結果の取得に失敗",
        addNodes : "ノードを選択",
        addedNode : "追加されたノード",
        advancedOptions : {
            dayOfEveryMonth : "毎月の日付",
            days : "日数",
            downgrade : "ダウングレード",
            enableSchedule : "スケジュールを有効",
            enterRebootMessage : "再起動のメッセージを入力",
            firmware : "ファームウェア",
            forceOptions : "グローバル強制オプション",
            installOptions : "グローバルインストールオプション",
            ofEveryMonth : "/毎月",
            reboot : "グローバル再起動オプション",
            rebootDelay : "再起動遅延(秒)",
            rebootDelayNotANumber: "ここに番号を入力してください",
            rebootMessageLength : "メッセージは最大255文字",
            rebootNodesAfterInstallation : "インストール後にノードを再起動",
            rebootOptions : "グローバル再起動オプション",
            recurEvery : "毎回発生",
            rewrite : "再書き込み",
            schedule : "スケジュール",
            scheduleOptions : "スケジュールオプション",
            software : "ソフトウェア",
            title : "アドバンストオプション"
        },
        applicableComponents : "- 適用可能なコンポーネント",
        availableVersion : "利用可能なバージョン",
        analyze : "分析",
        baselineAdded : "ベースラインが追加されました",
        baselines : "ベースライン",
        component : "コンポーネント",
        componentDetails : "コンポーネント詳細",
        componentDetailsFor : "コンポーネント詳細: {0}",
        componentHelp : "コンポーネントヘルプ",
        componentLog : "コンポーネントログ",
        componentTitle : "コンポーネントタイトル",
        componentVersion : "コンポーネントバージョン",
        confirmAutoUpdate : "フル自動インベントリを続行および、HP SUMを実行しているシステム上のすべての推奨されるアップデートを展開しますか?",
        deployment : "展開",
        deploymentCompleted : "展開が完了しました",
        deploymentError : "展開エラー",
        deploymentInProgress : "展開が進行中です",
        deploymentLog : "展開ログ",
        deploymentResults : "展開の結果",
        deploymentStatus : "展開ステータス",
        deploymentSummary : "展開サマリー",
        enterCredentials : "認証情報を入力",
        enterPassword : "パスワードの入力",
        enterUserName : "ユーザー名を入力",
        failedToAddBaseline : "ベースラインの追加に失敗しました",
        failedToAddNode : "ノードの追加に失敗しました",
        family : "ファミリ",
        force : "強制",
        forced : "強制済み",
        installedVersion : "インストールされたバージョン",
        interactive : "対話式",
        inventory : "インベントリ",
        inventoryBaselineNode : "ベースラインおよびノードのインベントリ",
        inventoryOfBaseline : "ベースラインのインベントリ",
        inventoryOfNode : "ノードのベースライン",
        localhostOnly : "ローカルホストのみ",
        log : "ログ",
        manageBaselines : "ベースラインの追加",
        manageNodes : "ノードの追加",
        mode : "モード",
        moreDetails : "自動モードは、HP SUMが実行されているシステム上でユーザーとの対話なしに、インベントリを実行し、すべての推奨されるアップデートを展開します。",
        multipleNodesBaselines : "複数のノード/ベースライン",
		noBaselineDefault : "デフォルトのベースラインが見つかりませんでした。",
        nodeInventoryAborted : "中止されたノードのインベントリ",
        nodeDeployAborted : "ノードへの展開は中止されました",
        nodes : "ノード",
        nonInteractive : "自動",
        overview : "概要",
        packageStr : "パッケージ",
        password : "パスワード",
        reboot : "再起動",
	never : "なし",
        reports : {
            csv : "CSV",
            description : "説明",
            failedDependencyDetails : "失敗した依存関係の詳細",
            firmwareDetails : "ファームウェア詳細",
            html : "HTML",
            installableDetails : "インストール可能な詳細",
            installedDetails : "インストールされた詳細",
            overview : "概要",
            reports : "レポート",
            type : "タイプ",
            xml : "XML"
        },
        review : "レビュー",
		select : "選択",
		selectComponents : "コンポーネントを選択",
		selected : "選択済み",
        selectModeTypeDeployment : "ローカルホストの展開のモードを選択してください",
        statusStr : "準備完了",
        step : "手順",
        title : "Localhostガイドアップデート",
        useCurrentCredentials : "現在の認証情報を使用",
        useCurrentCredentialsHelp : "現在の認証情報の使用を選択",
        userAborted : "ユーザーによって中断されました",
        userAbortedError : "操作の中断中にエラーが発生しました",
        userName : "ユーザー名",
        viewLog : "ログの参照",
	tpmSummary : "注意: Trusted Platform Module (TPM)は、このシステムで検出されました。",
    tpmWarning : "注意: Trusted Platform Module (TPM)は、このシステムで検出されました。リカバリキーが使用できない場合、適切なOS暗号化の手順を実行しないと、データのアクセスが失われます。\
		      推奨されるMicrosoft Windows(R) BitLocker(TM)の手順は、システムROMまたはオプションROMファームウェアフラッシュの前にBitLockerを\"一時停止\"することです。\
		      リカバリキーがないか、BitLockerを一時停止にできない場合、このフラッシュを終了してください。 \
		      これらの手順に従わないと、データへのアクセスが失われます。"
    },
    server : {
        addServer : "サーバーを追加",
        advancedMemoryProtection : "アドバンストメモリプロテクション",
        cpu : "CPU",
        controller : "コントローラー",
        controllerFV : "コントローラーファームウェアバージョン",
        defaultStr : "デフォルト",
        defaultEnabled : "デフォルトが有効",
        defaultOn : "デフォルトがオン",
        deviceWriteCache : "デバイスライトキャッシュ",
        diskFV : "ディスクファームウェアバージョン",
        driverVersion : "ドライバーバージョン",
        editSettings : "編集設定",
        embeddedSataConfiguration : "内蔵SATA構成",
        embeddedSerialPort : "内蔵シリアルポート",
        intelAmdVirtualizationTechnology : "Intel/AMD仮想化テクノロジー",
        intelHyperthreadingOptions : "Intelハイパースレッディングオプション",
        intelTurboBoostTechnology : "Intelターボブーストテクノロジー",
        intelVtdAmdVi : "Intel VT-d/AMD-Vi (IOMMU)",
        manageBios : "BIOSの管理",
        managedByFusion : "Fusionによって管理",
        memory : "メモリ",
        modified : "変更済み",
        modifiedSettings : "変更された設定",
        msExchange : "Microsoft Exchange 2010 Gold, 5000ユーザー",
        nicFcHbaCna : "NIC/FC-HBA/CNA",
        noExecuteMemoryProtection : "No-Executeメモリ保護",
        noSupportedNicFcHbaCnaFound : "サポートされたNIC/FC-HBA/CNAが見つかりません",
        noSupportedStorageArraysFound : "サポートされたストレージアレイが見つかりません",
        numlockPowerOnState : "電源投入時のNUMLOCKの状態",
        onlineSpareWithAdvancedEccSupport : "オンラインスペア付きアドバンストECCサポート",
        npar: "nPar",
        optimizedForLowPower : "低消費電力に最適化",
        optimizedForPerformance : "パフォーマンスに最適化",
        processorOptions : "プロセッサーオプション",
        proliant : "Proliant BL460c G7, mezz1",
        sataControllerOptions : "SATAコントローラーオプション",
        serialNo : "シリアル番号",
        serialPortConfiguration : "COM2; IRQ3; IO: 2F8h-2FFh",
        serialPortOptions : "シリアルポートオプション",
        serverType : "サーバータイプ",
        storage : "ストレージ",
        systemOptions : "システムオプション",
        systemRomVersion : "システムROMバージョン",
        tbd : "TBD",
        virtualSerialPort : "仮想シリアルポート",
        virtualSerialPortConfiguration : "COM1; IRQ4; IO: 3F8h-3FFh"
    },
    shell : {
        serverFirmwareDistribution : "サーバーファームウェアの配布",
        switchPortsInUse : "スイッチポートは使用中です",
        terrabytesInUse : "テラバイト使用中です"
    },
    switchUI : {
        activeFirmwareVersion : "アクティブファームウェアバージョン",
        adapterPort : "アダプターポート",
        added : "追加済み",
        address : "アドレス",
        addressType : "アドレスタイプ",
        addSwitch : "スイッチの追加",
        allCategories : "全てのカテゴリ",
        average : "平均",
        bandwidthGbs : "バンド幅GB/s",
        bitTransferRate : "ビット転送レート",
        connectionState : "接続状態",
        connectivity : "接続性",
        connector : "コネクター",
        deleted : "{0}が削除されました",
        detailsTitle : "タイトル詳細",
        devices : "デバイス",
        discoveredTime : "検出時間",
        doThis : "以下を実行してください。",
        downlinks : "ダウンリンク",
        ethernet : "Ethernet",
        extended : "拡張された",
        fibreChannel : "ファイバーチャネル",
        flexNic : "Flex NIC",
        hasStatus : "{0}に{1}があります。",
        identifier : "識別子",
        linkState : "リンク状態",
        noConnectionsDiscovered : "接続未検出",
        networks : "ネットワーク",
        oui : "OUI",
        packetTransferRate : "パケット転送レート",
        partnerSwitch : "パートナースイッチ",
        partNumber : "製品番号",
        port : "ポート",
        portDescription : "ポート説明",
        portId : "ポートID",
        portType : "ポートタイプ",
        received : "予約済み",
        receivedErrors : "受信エラー",
        remoteConnection : "リモート接続",
        revision : "リビジョン",
        serialNumber : "シリアル番号",
        serverHardware : "サーバーハードウェア",
        serverProfile : "サーバープロファイル",
        speed : "速度",
        statistics : "統計情報",
        systemDescription : "システム説明",
        systemName : "システム名",
        toFixIt : "これを<b>修正</b>するためには, {0}",
        transmitErrors : "送信エラー",
        transmitted : "送信済み",
        transmittedErrors : "送信エラー",
        updated : "更新済み",
        uplinks : "アップリンク",
        vendor : "ベンダー",
        weHaveNoIdeaWhy : "説明できません。",
        writtenFirmwareVersion : "書き込み済みファームウェアバージョン",
        wwn : "WWN"
    },
    task : {
        active : "アクティブ",
        alerts : "アラート",
        allTime : "常時",
        assign : "割り当て(未定)",
        clear : "クリア",
        cleared : "クリア済み",
        finished : "終了",
        from : "開始",
        lastUpdated : "最終更新",
        mine : "所有",
        olderThan1Year : "1年以上",
        olderThan3Months : "3か月以上",
        pending : "保留",
        resetToDefaults : "デフォルトにリセット",
        running : "動作中",
        selectAll : "全てを選択",
        source : "ソース",
        specificDateRange : "特定の日付",
        to : "終了",
        today : "今日",
        withinLastMonth : "先月以内"
    },
    integrityilo : {
 		haspendingupdate : "ノードのファームウェアアップデートは、保留中です",
 		hasprevious : "{0}は、以前のファームウェアアップデートのアクティベーションが保留になっています。",
 		activateorcancel : "保留中のファームウェアアップデートをアクティブまたは、キャンセルします。",
 		activatepending: "保留をアクティベート",
 		pendingwarning: "以前のファームウェアアップデートがアクティベートまたは、キャンセルされるまで、このノードのファームウェアアップデートを行うことができません。",
 		activatependingfw: "保留中のファームウェアアップデートをアクティブにします",
 		activatependingWarning: "これは、ノードのOSをシャットダウンし、ファームウェアをアクティブにするプロセスを完了させます",
 		cancelpendingfw: "保留中のファームウェアアップデートをキャンセルします",
 		cancelpendingWarning: "警告: これはシステムが起動しない組み合わせのiLO/システムFWのままになります。このサーバーを新しいバージョンにアップグレードする場合にのみ、使用してください。",
 		doDeployDomain : "ドメインを展開します",
        deployDomain: "ドメインの展開",
        rebootToActivate: "ファームウェアをアクティベートするためにノードを再起動してください",
        rebootNotNeeded: "再起動は必要ありません。ノードは、電源オフされます",
        activateOnNodeScreen: "ノードには、保留中のファームウェアのアップデートがあります。保留中のファームウェアのアップデートは、ノード画面からアクティベートまたはキャンセルすることが可能です。"
    },
    sd2oa : {
    	partitions: "パーティション",
        noActivePartitions: "アクティブなパーティションがありません。",
        noBladesUnassigned: "割り当てられていないブレードがありません。",
        noPartitions: "使用可能なパーティションがありません。",
    	number: "番号",
    	installedFW: "インストール済みのファームウェア",
    	bay: "ベイ",
    	blades: "ブレード",
    	vpars: "vPars",
    	cplxFW: "複雑なファームウェア",
    	parFW: "パーティションファームウェア",
    	mismatch: "不一致",
    	complexName: "コンプレックス名",
    	complexVer: "コンプレックスバージョン",
    	fwBaseline: "ファームウェアのベースライン",
    	serialNumber: "シリアル番号",
    	cplxMismatchDetails: "コンプレックス不一致の詳細"

    },
    ipdu : {
    	extbars: "拡張バー"
    },
    title : "HP Smart Update Manager ",
    welcome : {
        baselinesDescription : "ファームウェアおよびシステムソフトウェアベースラインの管理",
        dashboardDescription : "ご使用のインフラストラクチャでの概要",
        getStarted : "ここから開始",
        nodesDescription : "ノードへのアップデートの管理、分析および展開",
        oneTouchUpdateDescription : "3つのステップで展開を簡略化"
    },
    
    AbortConfirm : {
            title : "{0}の中断",
            dependencyHeader : "{0}アイテムは{1}に依存しています",
            prompt : "削除して続行しますか?",
            ok : "はい、中断します"
	},
	
	RebootConfirm : {
            title : "再起動",
            dependencyHeader : "{0}アイテムは{1}に依存しています",
            errorReboot : "再起動の操作を実行している間にエラーが発生しました。",
            node : "ノードを再起動しました。",
            prompt : "このノードを再起動しますか?",
            ok : "はい、再起動します"
	},
	confirmation : {
            title : "確認",
            dependencyHeader : "{0}アイテムは{1}に依存しています",
            prompt : "選択されたアクションを続行しますか?",
            promptDeploy : "展開を続行してもよろしいですか?",
            ok : "はい、続行します"
	},
	logout : {
            logoff : "ログオフ - 現在のユーザー。",
            shutdown : "シャットダウン - このオプションは、HP SUMエンジンをシャットダウンします。",
            title : "ログオフ/シャットダウン"
           },
    linuxAccess : {
           useAdminCredentials: "管理者の認証情報を使用",
           useSudoWithCredentials: "上に入力した資格情報でsudoを使用",
           useSuperUserCredentials: "super userの認証情報を使用"
       }
};});
